Bug 804125 - Review Request: rdkit - A toolkit for cheminformatics and machine learning
Review Request: rdkit - A toolkit for cheminformatics and machine learning
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Antonio Trande
Fedora Extras Quality Assurance
:
Depends On: 1293160 1358725
Blocks: ML-SIG
  Show dependency treegraph
 
Reported: 2012-03-16 11:24 EDT by Gianluca Sforna
Modified: 2016-09-05 22:19 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-31 12:29:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
anto.trande: fedora‑review+


Attachments (Terms of Use)
Comment (90.99 KB, text/plain)
2014-07-01 05:14 EDT, Christopher Meng
no flags Details
licensecheck of rdkit (69.83 KB, text/plain)
2015-09-16 08:29 EDT, Christopher Meng
no flags Details

  None (edit)
Description Gianluca Sforna 2012-03-16 11:24:09 EDT
Spec URL: http://giallu.fedorapeople.org/rdkit.spec
SRPM URL: http://giallu.fedorapeople.org/rdkit-2011.12-1.fc16.src.rpm
Description: A software suite for cheminformatics, computational chemistry, 
and predictive modeling
Comment 1 Gianluca Sforna 2012-03-16 13:06:45 EDT
rpmlint output

$ rpmlint /var/lib/mock/fedora-16-i386/result/*.rpm
python-rdkit.i686: W: no-documentation
python-rdkit.i686: E: non-executable-script /usr/lib/python2.7/site-packages/rdkit/sping/tests/testallps.py 0644L /usr/bin/env
python-rdkit.i686: E: non-executable-script /usr/lib/python2.7/site-packages/rdkit/utils/pydoc_local.py 0644L /usr/bin/env
python-rdkit.i686: E: non-executable-script /usr/lib/python2.7/site-packages/rdkit/sping/examples/formatted-strings.py 0644L /usr/bin/env
python-rdkit.i686: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/rdkit/sping/WX/pidWX.py
rdkit.i686: W: spelling-error Summary(en_US) cheminformatics -> misinformation
rdkit.i686: W: spelling-error %description -l en_US cheminformatics -> misinformation
rdkit.i686: W: shared-lib-calls-exit /usr/lib/libSLNParse.so.1.2011.12.1 exit@GLIBC_2.0
rdkit.i686: W: shared-lib-calls-exit /usr/lib/libSmilesParse.so.1.2011.12.1 exit@GLIBC_2.0
rdkit.src: W: spelling-error Summary(en_US) cheminformatics -> misinformation
rdkit.src: W: spelling-error %description -l en_US cheminformatics -> misinformation
rdkit.src: W: invalid-url Source0: http://rdkit.googlecode.com/files/RDKit_2011_12_1.tgz HTTP Error 404: Not Found
rdkit-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/RDKit_2011_12_1/Code/GraphMol/Wrap/ForwardSDMolSupplier.cpp
rdkit-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/RDKit_2011_12_1/Code/RDBoost/python_streambuf.h
rdkit-devel.i686: W: no-documentation
rdkit-doc.noarch: W: no-documentation
rdkit-extras.noarch: W: no-documentation
rdkit-extras.noarch: E: non-executable-script /usr/share/RDKit/Contrib/M_Kossner/Frames.py 0644L /usr/bin/python
rdkit-extras.noarch: E: non-executable-script /usr/share/RDKit/Projects/SDView4/SDView.py 0644L /usr/bin/env
rdkit-postgresql.i686: W: spelling-error %description -l en_US mol -> mewl, mil, mo
rdkit-postgresql.i686: W: spelling-error %description -l en_US datatype -> data type, data-type, database
rdkit-postgresql.i686: W: spelling-error %description -l en_US fp -> pf, f, p
rdkit-postgresql.i686: W: spelling-error %description -l en_US tanimoto -> animator
8 packages and 0 specfiles checked; 6 errors, 17 warnings.
Comment 2 Jeroen van Meeuwen 2012-03-28 06:37:09 EDT
Just an initial review, I've not yet reviewed .spec, dependencies, sub-packaging or run-time yet.

> [kanarip@albert SPECS]$ rpmlint /home/kanarip/devel/rpmbuild/RPMS/x86_64/rdkit-2011.12-1.fc16.x86_64.rpm
> rdkit.x86_64: W: spelling-error Summary(en_US) cheminformatics -> misinformation
> rdkit.x86_64: W: spelling-error %description -l en_US cheminformatics -> misinformation

Perhaps spell cheminformatics out to chemical informatics (perhaps even information science).

> rdkit.x86_64: W: shared-lib-calls-exit /usr/lib64/libSmilesParse.so.1.2011.12.1 exit@GLIBC_2.2.5
> rdkit.x86_64: W: shared-lib-calls-exit /usr/lib64/libSLNParse.so.1.2011.12.1 exit@GLIBC_2.2.5

I'm not sure what you can do about these other then logging a ticket upstream with the details on why this is bad.

> 1 packages and 0 specfiles checked; 0 errors, 4 warnings.
> [kanarip@albert SPECS]$ rpmlint /home/kanarip/devel/rpmbuild/RPMS/x86_64/rdkit-devel-2011.12-1.fc16.x86_64.rpm
> rdkit-devel.x86_64: W: no-documentation
> 1 packages and 0 specfiles checked; 0 errors, 1 warnings.

This can be ignored.

> [kanarip@albert SPECS]$ rpmlint /home/kanarip/devel/rpmbuild/RPMS/noarch/rdkit-doc-2011.12-1.fc16.noarch.rpm
> rdkit-doc.noarch: W: no-documentation
> 1 packages and 0 specfiles checked; 0 errors, 1 warnings.

This can be ignored.

> [kanarip@albert SPECS]$ rpmlint /home/kanarip/devel/rpmbuild/RPMS/noarch/rdkit-extras-2011.12-1.fc16.noarch.rpm
> rdkit-extras.noarch: W: no-documentation

This can be ignored.

rdkit-extras.noarch: E: non-executable-script /usr/share/RDKit/Contrib/M_Kossner/Frames.py 0644L /usr/bin/python
rdkit-extras.noarch: E: non-executable-script /usr/share/RDKit/Projects/SDView4/SDView.py 0644L /usr/bin/env
1 packages and 0 specfiles checked; 2 errors, 1 warnings.

These you can correct with a simple snippet - either choose to make the files executable (mind you: may trigger a "executable script in non-standard location" type of warning or error), or remove the shebang (mind you: may render the program disfunctional if it expects to be able to execute these files through a shell-out).

An example of finding those files:

# Find files with a shebang that do not have executable permissions
for file in `find %{buildroot}/%{geminstdir} -type f ! -perm /a+x -name "*.rb"`; do
    [ ! -z "`head -n 1 $file | grep \"^#!/\"`" ] && chmod -v 755 $file
done

> [kanarip@albert SPECS]$ rpmlint /home/kanarip/devel/rpmbuild/RPMS/x86_64/python-rdkit-2011.12-1.fc16.x86_64.rpm
> python-rdkit.x86_64: W: no-documentation

This can be ignored.

> python-rdkit.x86_64: E: non-executable-script /usr/lib64/python2.7/site-packages/rdkit/sping/tests/testallps.py 0644L /usr/bin/env
> python-rdkit.x86_64: E: non-executable-script /usr/lib64/python2.7/site-packages/rdkit/utils/pydoc_local.py 0644L /usr/bin/env
> python-rdkit.x86_64: E: non-executable-script /usr/lib64/python2.7/site-packages/rdkit/sping/examples/formatted-strings.py 0644L /usr/bin/env

Same as aforementioned; two options; make files executable or remove shebang.

> python-rdkit.x86_64: E: incorrect-fsf-address /usr/lib64/python2.7/site-packages/rdkit/sping/WX/pidWX.py
> 1 packages and 0 specfiles checked; 4 errors, 1 warnings.

While an upstream bug, the fix is easy. The address should read:

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

> [kanarip@albert SPECS]$ rpmlint /home/kanarip/devel/rpmbuild/RPMS/x86_64/rdkit-postgresql-2011.12-1.fc16.x86_64.rpm
> rdkit-postgresql.x86_64: W: spelling-error %description -l en_US mol -> mewl, mil, mo
> rdkit-postgresql.x86_64: W: spelling-error %description -l en_US datatype -> data type, data-type, database
> rdkit-postgresql.x86_64: W: spelling-error %description -l en_US fp -> pf, f, p
> rdkit-postgresql.x86_64: W: spelling-error %description -l en_US tanimoto -> animator
> 1 packages and 0 specfiles checked; 0 errors, 4 warnings.
> [kanarip@albert SPECS]$ rpmlint /home/kanarip/devel/rpmbuild/RPMS/x86_64/rdkit-debuginfo-2011.12-1.fc16.x86_64.rpm
> rdkit-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/RDKit_2011_12_1/Code/RDBoost/python_streambuf.h
> rdkit-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/RDKit_2011_12_1/Code/GraphMol/Wrap/ForwardSDMolSupplier.cpp

Remove the executable permissions from these files please;

# Fix anything executable that does not have a shebang
for file in `find %{buildroot}/%{_prefix}/src -type f -perm /a+x`; do
    [ -z "`head -n 1 $file | grep \"^#!/\"`" ] && chmod -v 644 $file
done
Comment 3 Gianluca Sforna 2012-04-13 11:45:55 EDT
(In reply to comment #2)

> Perhaps spell cheminformatics out to chemical informatics (perhaps even
> information science).

used chemical informatics, despite I'm not really used to call it that way.

> 
> > rdkit.x86_64: W: shared-lib-calls-exit /usr/lib64/libSmilesParse.so.1.2011.12.1 exit@GLIBC_2.2.5
> > rdkit.x86_64: W: shared-lib-calls-exit /usr/lib64/libSLNParse.so.1.2011.12.1 exit@GLIBC_2.2.5
> 
> I'm not sure what you can do about these other then logging a ticket upstream
> with the details on why this is bad.

Already did it in the past, but it seems that comes from some code auto-generated during build. I will try to further investigate if you think this is a blocker

> 
> rdkit-extras.noarch: E: non-executable-script
> /usr/share/RDKit/Contrib/M_Kossner/Frames.py 0644L /usr/bin/python
> rdkit-extras.noarch: E: non-executable-script
> /usr/share/RDKit/Projects/SDView4/SDView.py 0644L /usr/bin/env
> 1 packages and 0 specfiles checked; 2 errors, 1 warnings.

Fixed

> 
> These you can correct with a simple snippet - either choose to make the files
> executable (mind you: may trigger a "executable script in non-standard
> location" type of warning or error), or remove the shebang (mind you: may
> render the program disfunctional if it expects to be able to execute these
> files through a shell-out).
> 
> An example of finding those files:
> 
> # Find files with a shebang that do not have executable permissions
> for file in `find %{buildroot}/%{geminstdir} -type f ! -perm /a+x -name
> "*.rb"`; do
>     [ ! -z "`head -n 1 $file | grep \"^#!/\"`" ] && chmod -v 755 $file
> done
> 

.
> 
> > python-rdkit.x86_64: E: non-executable-script /usr/lib64/python2.7/site-packages/rdkit/sping/tests/testallps.py 0644L /usr/bin/env
> > python-rdkit.x86_64: E: non-executable-script /usr/lib64/python2.7/site-packages/rdkit/utils/pydoc_local.py 0644L /usr/bin/env
> > python-rdkit.x86_64: E: non-executable-script /usr/lib64/python2.7/site-packages/rdkit/sping/examples/formatted-strings.py 0644L /usr/bin/env
> 
> Same as aforementioned; two options; make files executable or remove shebang.
> 
> > python-rdkit.x86_64: E: incorrect-fsf-address /usr/lib64/python2.7/site-packages/rdkit/sping/WX/pidWX.py
> > 1 packages and 0 specfiles checked; 4 errors, 1 warnings.
> 
> While an upstream bug, the fix is easy. The address should read:
> 
> # You should have received a copy of the GNU General Public License
> # along with this program; if not, write to the Free Software
> # Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

So, sping is some (dead) 3rd party code that should be eventually splitted. For now, I think I will just remove it since it is used to draw chemical structures when the default backend (cairo) is not available.


> /home/kanarip/devel/rpmbuild/RPMS/x86_64/rdkit-debuginfo-2011.12-1.fc16.x86_64.rpm
> > rdkit-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/RDKit_2011_12_1/Code/RDBoost/python_streambuf.h
> > rdkit-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/RDKit_2011_12_1/Code/GraphMol/Wrap/ForwardSDMolSupplier.cpp
> 
> Remove the executable permissions from these files please;
> 
> # Fix anything executable that does not have a shebang
> for file in `find %{buildroot}/%{_prefix}/src -type f -perm /a+x`; do
>     [ -z "`head -n 1 $file | grep \"^#!/\"`" ] && chmod -v 644 $file
> done

Fixed.

Updated package with new upstream release at:
http://giallu.fedorapeople.org/rdkit-2012.03-1.fc16.src.rpm
Comment 4 Gianluca Sforna 2012-10-08 03:04:26 EDT
Updated package:
http://giallu.fedorapeople.org/rdkit-2012.06-1.fc17.src.rpm
Comment 7 Mario Blättermann 2013-05-18 08:27:29 EDT
Just a few initial comments:

BuildRequires:  python-devel

This is deprecated, you have to require python2-devel:
https://fedoraproject.org/wiki/Packaging:Python#BuildRequires


Regarding the runtime requirements of the subpackages, first have a look what rpm pulls automatically before adding some things there by hand. I'm quite sure that the -devel package will get the python2-devel dependency anyway.


Requires: %{name} = %{version}-%{release}
For arch-dependent packages, we need a fully versioned dependency:
Requires: %{name}%{?_isa} = %{version}-%{release}


Don't mix %{buildroot} and $RPM_BUILD_ROOT in the same spec file.


%defattr(-,root,root,-)
This line is obsolete, even for EPEL-5 packages, although rpmlint doesn't say so.


Please remove unneeded parts from the file header (the line regarding python_sitelib).
Comment 8 Gianluca Sforna 2013-05-25 03:23:13 EDT
I'm here, trying to sort upstream's SVN->git migration. Will update the spec asap.
Comment 9 Gianluca Sforna 2013-05-29 05:06:55 EDT
I removed and checked automatic runtime requirements for -devel but they did not include python2-devel or boost, so I kept those.

All the other suggestions are now in the package:

http://giallu.fedorapeople.org/rdkit.spec
http://giallu.fedorapeople.org/rdkit-2013.03-2.fc18.src.rpm
Comment 10 Jason Tibbitts 2013-05-29 13:50:36 EDT
So, after a fashion, this does build for me and I'll toss out a few random comments.  Without any way to test this I'm just sort of poking about, but I guess it can't hurt.

rpmlint has just a few complaints that weren't mentioned earlier:

  rdkit.src: E: specfile-error warning: bogus date in %changelog:
   Wed Oct 21 2012 Gianluca Sforna <giallu@gmail.com> - 2012.09-1
"cal 2012" tells me  that October 21st 2012 was a Sunday, not a Wednesday.

One new non-executable-script complaint:

  python-rdkit.x86_64: E: non-executable-script
   /usr/lib64/python2.7/site-packages/rdkit/Chem/MCS.py 0644L /usr/bin/env

and one old one:

  python-rdkit.x86_64: E: non-executable-script
   /usr/lib64/python2.7/site-packages/rdkit/utils/pydoc_local.py 0644L
   /usr/bin/env

Not sure what you want to do with those.

Still some spurious-executable-perm complaints in the debuginfo package.  Why would cpp and header files be executable in the source tree?

  rdkit-debuginfo.x86_64: W: spurious-executable-perm
   /usr/src/debug/RDKit_2013_03_1/External/INCHI-API/inchi.cpp
  rdkit-debuginfo.x86_64: W: spurious-executable-perm
   /usr/src/debug/RDKit_2013_03_1/External/INCHI-API/Wrap/pyInchi.cpp
  rdkit-debuginfo.x86_64: W: spurious-executable-perm
   /usr/src/debug/RDKit_2013_03_1/External/INCHI-API/inchi.h

Could you comment on the purpose of these?  Would it not be better for these to be packaged as documentation?  Actually, that pretty much goes for the rest of the stuff in rdkit-extras; at least the Contrib stuff doesn't seem to be terribly useful just sitting under /usr/share.

  rdkit-extras.noarch: W: devel-file-in-non-devel-package /usr/share/RDKit/Contrib/PBF/PBFRDKit.h
  rdkit-extras.noarch: W: devel-file-in-non-devel-package /usr/share/RDKit/Contrib/PBF/demo.cpp
  rdkit-extras.noarch: W: devel-file-in-non-devel-package /usr/share/RDKit/Contrib/PBF/PBFRDKit.cpp

Can you comment on the stuff in the External directory?  I just want to make sure none of it is bundled external code.

Also on the subject of the External directory, some of it is differently licensed (cmim is GPL, pymol is "Pymol", whatever that is).  Can you be certain that none of that is included in the final package?  If not, the License: tag will need modification.

Why do all of the libraries seem to carry a "1beta1" when this is versioned as a post-release package?

I kind of wish the masses if library files all carried a some sort of "libRD" prefix, because there are so many of them and they appear to be rather generically named, especially "libhc.so".  I did look for conflicts, though, and didn't find any outside of an instance of "libhc" in an obscure project at http://code.google.com/p/isdp/, and that library doesn't appear to have come from the source anyway.  So I don't think there's any blocker here, but it's something to be aware of.
Comment 11 Gianluca Sforna 2013-05-31 04:22:57 EDT
(In reply to Jason Tibbitts from comment #10)
> "cal 2012" tells me  that October 21st 2012 was a Sunday, not a Wednesday.
Fixed

> 
> One new non-executable-script complaint:
> 
>   python-rdkit.x86_64: E: non-executable-script
>    /usr/lib64/python2.7/site-packages/rdkit/Chem/MCS.py 0644L /usr/bin/env
> 
> and one old one:
> 
>   python-rdkit.x86_64: E: non-executable-script
>    /usr/lib64/python2.7/site-packages/rdkit/utils/pydoc_local.py 0644L
>    /usr/bin/env
> 
> Not sure what you want to do with those.

The first one is really a python module, so I removed the shebang.
The second I am not sure, asked upstream.

> 
> Still some spurious-executable-perm complaints in the debuginfo package. 
> Why would cpp and header files be executable in the source tree?

not intentional I guess, reported upstream

> 
> Could you comment on the purpose of these?  Would it not be better for these
> to be packaged as documentation?  Actually, that pretty much goes for the
> rest of the stuff in rdkit-extras; at least the Contrib stuff doesn't seem
> to be terribly useful just sitting under /usr/share.
> 
>   rdkit-extras.noarch: W: devel-file-in-non-devel-package
> /usr/share/RDKit/Contrib/PBF/PBFRDKit.h
>   rdkit-extras.noarch: W: devel-file-in-non-devel-package
> /usr/share/RDKit/Contrib/PBF/demo.cpp
>   rdkit-extras.noarch: W: devel-file-in-non-devel-package
> /usr/share/RDKit/Contrib/PBF/PBFRDKit.cpp
> 

The extras are examples of actual rdkit usage. I am not sure where it is best to put them in the filesystem, but if consensus is they should go in docs I can surely move them.


> Can you comment on the stuff in the External directory?  I just want to make
> sure none of it is bundled external code.
> 
> Also on the subject of the External directory, some of it is differently
> licensed (cmim is GPL, pymol is "Pymol", whatever that is).  Can you be
> certain that none of that is included in the final package?  If not, the
> License: tag will need modification.

That is supposed to contain glue code to USE external code. For instance, inchi is pulled as a dep and linked as usual.
pymol is code from upstream, I asked to put there a proper license.
I also asked upstream about cmim, it seems from the build logs it is using just a couple modules from that, maybe it can be replaced or disabled.


> 
> Why do all of the libraries seem to carry a "1beta1" when this is versioned
> as a post-release package?

not sure why it was there, but the suffix looks correct in the latest package


> 
> I kind of wish the masses if library files all carried a some sort of
> "libRD" prefix, because there are so many of them and they appear to be
> rather generically named, especially "libhc.so". 

Yeah, I can propose upstream to add a prefix on all, nice to see no conflicts were found though.


http://giallu.fedorapeople.org/rdkit.spec
http://giallu.fedorapeople.org/rdkit-2013.03.2-1.fc18.src.rpm
Comment 12 Christopher Meng 2013-07-14 04:47:26 EDT
1. No need for BuildRoot tag.

2. Remove the commented lines of snapshot Source0.
Comment 13 Gianluca Sforna 2013-07-28 18:10:11 EDT
http://giallu.fedorapeople.org/rdkit.spec
http://giallu.fedorapeople.org/rdkit-2013.06.1-1.fc19.src.rpm

Updated to latest release, includes suggestions from Christopher
Comment 14 Christopher Meng 2013-07-28 20:53:23 EDT
Hi,

First, becasue F20 will use unversioned docdir name, in your global field you should modify

%global docdir      %{_docdir}/%{name}-%{version}

Also %{docdir}/README should be changed to %{_pkgdocdir}/README

Then, cmake has %cmake macro, you should rpm -E %cmake and find if the macro can replace 6 lines of options.

Next, Remove rm -rf %{buildroot} in %install

Last, are these %{_libdir}/*.cmake needed?
Comment 15 Mario Blättermann 2013-07-29 03:12:28 EDT
python-imaging is needed to run the tests. This package is deprecated and now virtually provided by python-pillow [1]. Make sure it works with Pillow. There are sometimes small corrections needed to the Python file headers [2].

[1] http://fedoraproject.org/wiki/Features/Pillow
[2] http://fedoraproject.org/wiki/Features/Pillow#How_To_Test
Comment 16 Gianluca Sforna 2013-08-06 06:51:58 EDT
(In reply to Christopher Meng from comment #14)
> Also %{docdir}/README should be changed to %{_pkgdocdir}/README
> 

done


> Then, cmake has %cmake macro, you should rpm -E %cmake and find if the macro
> can replace 6 lines of options.

done

> 
> Next, Remove rm -rf %{buildroot} in %install

done

> 
> Last, are these %{_libdir}/*.cmake needed?

they are useful if you want to build programs using the rdkit libraries. As the comment says, I am not sure that is a good place for them but inherited it from upstream so I left them there for now.

Also, I updated the package to latest upstream release, which is supposed to work with pillow. A rawhide mock build passes so I assume we are ok.

http://giallu.fedorapeople.org/rdkit.spec
http://giallu.fedorapeople.org/rdkit-2013.06.1-2.fc19.src.rpm
Comment 17 Christopher Meng 2013-08-07 00:34:28 EDT
OK.

What's your FAS username?(Please include this in every review request.)
Comment 18 Gianluca Sforna 2013-08-07 05:31:23 EDT
my FAS username is "giallu". Is this a new requirement or what?
Comment 19 Michael Schwendt 2013-08-07 06:32:46 EDT
It's no so new anymore and the default if you fill out the fedora-review form:

https://bugzilla.redhat.com/enter_bug.cgi?product=Fedora&format=fedora-review
https://fedoraproject.org/wiki/New_package_process_for_existing_contributors
Comment 20 Gianluca Sforna 2013-08-07 10:13:21 EDT
Thanks Michael, I hope the new field was added after March 2012 when I opened this, so at least I have some kind of excuse :)
Comment 21 Michael Schwendt 2013-08-07 10:54:22 EDT
;)  Several tickets from Sep 2012 contain it.
Comment 22 Christopher Meng 2014-01-05 06:58:53 EST
I think package's cmake files should be put under %{_libdir}/cmake/, it shouldn't be stored directly under libdir.
Comment 23 Gianluca Sforna 2014-01-06 07:20:33 EST
I had a todo item for that. Done in:

http://giallu.fedorapeople.org/rdkit.spec
http://giallu.fedorapeople.org/rdkit-2013.09.1-2.fc20.src.rpm
Comment 24 Christopher Meng 2014-03-30 00:23:44 EDT
1. F20+ has solved this bug, you can drop these:

# we don't want to provide private python extension libs, snippet from:
# http://fedoraproject.org/wiki/Packaging:AutoProvidesAndRequiresFiltering
%{?filter_setup:
%filter_provides_in %{python_sitearch}/.*\.so$ 
%filter_setup
}

2. %package devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       cmake
Requires:       python2-devel
Requires:       boost-devel

%{?_isa} should be used for all Requires.

3. A software suite for chemical informatics, computational chemistry, 
and predictive modeling

Missing a dot.

4. %{python_sitearch} --> %{python2_sitearch}

5. All Group tags can be dropped.

6. Project has moved to github, with a new version:

https://github.com/rdkit/rdkit/releases
Comment 25 Gianluca Sforna 2014-03-30 08:22:08 EDT
(In reply to Christopher Meng from comment #24)
> 1. F20+ has solved this bug, you can drop these:
> 
> # we don't want to provide private python extension libs, snippet from:
> # http://fedoraproject.org/wiki/Packaging:AutoProvidesAndRequiresFiltering
> %{?filter_setup:
> %filter_provides_in %{python_sitearch}/.*\.so$ 
> %filter_setup
> }

great. Removed


> 
> 2. %package devel
> Summary:        Development files for %{name}
> Group:          Development/Libraries
> Requires:       %{name}%{?_isa} = %{version}-%{release}
> Requires:       cmake
> Requires:       python2-devel
> Requires:       boost-devel
> 
> %{?_isa} should be used for all Requires.

Are you sure? The relevant page does not mention it at all
https://fedoraproject.org/wiki/Packaging:Guidelines#Requiring_Base_Package

> 
> 3. A software suite for chemical informatics, computational chemistry, 
> and predictive modeling
> 
> Missing a dot.
> 

Fixed

> 4. %{python_sitearch} --> %{python2_sitearch}

Fixed

> 
> 5. All Group tags can be dropped.

Fixed

> 
> 6. Project has moved to github, with a new version:
> 
> https://github.com/rdkit/rdkit/releases

Changed

Updated spec and srpm:
http://giallu.fedorapeople.org/rdkit-2013.09.2-1.fc20.src.rpm
http://giallu.fedorapeople.org/rdkit.spec
Comment 26 Christopher Meng 2014-04-25 04:16:34 EDT
Rawhide build failed.
Comment 27 Gianluca Sforna 2014-05-07 05:52:44 EDT
I am not sure if rawhide was broken or the latest rdkit (currently in beta) fixed the issue, but it works:

http://koji.fedoraproject.org/koji/taskinfo?taskID=6821330

Updated files:
http://giallu.fedorapeople.org/rdkit.spec
http://giallu.fedorapeople.org/rdkit-2014.03.1beta1-1.fc20.src.rpm
Comment 28 Gianluca Sforna 2014-05-12 06:11:08 EDT
And now it went final:

http://giallu.fedorapeople.org/rdkit.spec
http://giallu.fedorapeople.org/rdkit-2014.03.1-1.fc20.src.rpm

Are there any more blockers? After two years I'd like push it to repos and move on :)
Comment 29 Christopher Meng 2014-05-17 03:25:29 EDT
Executing(%check): /bin/sh -e /var/tmp/rpm-tmp.9AZKoz
+ umask 022
+ cd /builddir/build/BUILD
+ cd rdkit-Release_2014_03_1
+ export RDBASE=/builddir/build/BUILD/rdkit-Release_2014_03_1
+ RDBASE=/builddir/build/BUILD/rdkit-Release_2014_03_1
+ export LD_LIBRARY_PATH=/builddir/build/BUILD/rdkit-Release_2014_03_1/lib
+ LD_LIBRARY_PATH=/builddir/build/BUILD/rdkit-Release_2014_03_1/lib
+ export PYTHONPATH=/builddir/build/BUILD/rdkit-Release_2014_03_1
+ PYTHONPATH=/builddir/build/BUILD/rdkit-Release_2014_03_1
+ make test
Running tests...
/usr/bin/ctest --force-new-ctest-process 
Test project /builddir/build/BUILD/rdkit-Release_2014_03_1
      Start  1: testInchi
 1/79 Test  #1: testInchi ........................   Passed    0.21 sec
      Start  2: testDict
 2/79 Test  #2: testDict .........................   Passed    0.07 sec
      Start  3: testDataStructs
 3/79 Test  #3: testDataStructs ..................   Passed    0.08 sec
      Start  4: pyBV
 4/79 Test  #4: pyBV .............................   Passed    3.81 sec
      Start  5: pyDiscreteValueVect
 5/79 Test  #5: pyDiscreteValueVect ..............   Passed    0.23 sec
      Start  6: pySparseIntVect
 6/79 Test  #6: pySparseIntVect ..................   Passed    0.22 sec
      Start  7: testTransforms
 7/79 Test  #7: testTransforms ...................   Passed    0.02 sec
      Start  8: testGrid
 8/79 Test  #8: testGrid .........................   Passed    0.43 sec
      Start  9: testPyGeometry
 9/79 Test  #9: testPyGeometry ...................   Passed    0.25 sec
      Start 10: testMatrices
10/79 Test #10: testMatrices .....................   Passed    0.01 sec
      Start 11: testAlignment
11/79 Test #11: testAlignment ....................   Passed    0.02 sec
      Start 12: pyAlignment
12/79 Test #12: pyAlignment ......................   Passed    0.28 sec
      Start 13: testOptimizer
13/79 Test #13: testOptimizer ....................   Passed    0.01 sec
      Start 14: testUFFForceField
14/79 Test #14: testUFFForceField ................***Exception: Other  0.13 sec
      Start 15: testMMFFForceField
15/79 Test #15: testMMFFForceField ...............***Exception: Other  0.29 sec
      Start 16: pyForceFieldConstraints
16/79 Test #16: pyForceFieldConstraints ..........***Failed    0.37 sec
      Start 17: testDistGeom
17/79 Test #17: testDistGeom .....................   Passed    0.02 sec
      Start 18: pyDistGeom
18/79 Test #18: pyDistGeom .......................   Passed    0.21 sec
      Start 19: graphmolTest1
19/79 Test #19: graphmolTest1 ....................   Passed    0.25 sec
      Start 20: graphmolcpTest
20/79 Test #20: graphmolcpTest ...................   Passed    0.05 sec
      Start 21: graphmolqueryTest
21/79 Test #21: graphmolqueryTest ................   Passed    0.05 sec
      Start 22: graphmolMolOpsTest
22/79 Test #22: graphmolMolOpsTest ...............   Passed    3.35 sec
      Start 23: graphmoltestCanon
23/79 Test #23: graphmoltestCanon ................   Passed    0.37 sec
      Start 24: graphmoltestChirality
24/79 Test #24: graphmoltestChirality ............   Passed    0.23 sec
      Start 25: graphmoltestPickler
25/79 Test #25: graphmoltestPickler ..............   Passed    0.71 sec
      Start 26: graphmolIterTest
26/79 Test #26: graphmolIterTest .................   Passed    0.05 sec
      Start 27: testDepictor
27/79 Test #27: testDepictor .....................   Passed    0.85 sec
      Start 28: pyDepictor
28/79 Test #28: pyDepictor .......................   Passed    0.73 sec
      Start 29: smiTest1
29/79 Test #29: smiTest1 .........................   Passed    0.55 sec
      Start 30: smaTest1
30/79 Test #30: smaTest1 .........................   Passed    2.69 sec
      Start 31: fileParsersTest1
31/79 Test #31: fileParsersTest1 .................   Passed   13.93 sec
      Start 32: testMolSupplier
32/79 Test #32: testMolSupplier ..................   Passed    0.72 sec
      Start 33: testMolWriter
33/79 Test #33: testMolWriter ....................   Passed    0.71 sec
      Start 34: testTplParser
34/79 Test #34: testTplParser ....................   Passed    0.06 sec
      Start 35: testMol2ToMol
35/79 Test #35: testMol2ToMol ....................   Passed    0.11 sec
      Start 36: testSubstructMatch
36/79 Test #36: testSubstructMatch ...............   Passed    0.05 sec
      Start 37: testReaction
37/79 Test #37: testReaction .....................   Passed    0.21 sec
      Start 38: pyChemReactions
38/79 Test #38: pyChemReactions ..................   Passed    0.26 sec
      Start 39: testChemTransforms
39/79 Test #39: testChemTransforms ...............   Passed    0.16 sec
      Start 40: testSubgraphs1
40/79 Test #40: testSubgraphs1 ...................   Passed    0.67 sec
      Start 41: testSubgraphs2
41/79 Test #41: testSubgraphs2 ...................   Passed    0.06 sec
      Start 42: testFragCatalog
42/79 Test #42: testFragCatalog ..................   Passed    2.10 sec
      Start 43: pyFragCatalog
43/79 Test #43: pyFragCatalog ....................   Passed    0.65 sec
      Start 44: testDescriptors
44/79 Test #44: testDescriptors ..................   Passed    0.48 sec
      Start 45: pyMolDescriptors
45/79 Test #45: pyMolDescriptors .................   Passed    0.47 sec
      Start 46: testFingerprints
46/79 Test #46: testFingerprints .................   Passed    0.40 sec
      Start 47: pyPartialCharges
47/79 Test #47: pyPartialCharges .................   Passed    0.60 sec
      Start 48: testMolTransforms
48/79 Test #48: testMolTransforms ................   Passed    0.08 sec
      Start 49: pyMolTransforms
49/79 Test #49: pyMolTransforms ..................   Passed    0.26 sec
      Start 50: testMMFFForceFieldHelpers
50/79 Test #50: testMMFFForceFieldHelpers ........***Exception: Other  0.11 sec
      Start 51: testUFFForceFieldHelpers
51/79 Test #51: testUFFForceFieldHelpers .........***Exception: Other  0.07 sec
      Start 52: pyForceFieldHelpers
52/79 Test #52: pyForceFieldHelpers ..............***Failed    0.29 sec
      Start 53: testDistGeomHelpers
53/79 Test #53: testDistGeomHelpers ..............   Passed    1.63 sec
      Start 54: pyDistGeom
54/79 Test #54: pyDistGeom .......................***Failed    1.38 sec
      Start 55: testMolAlign
55/79 Test #55: testMolAlign .....................***Exception: Other  0.41 sec
      Start 56: pyMolAlign
56/79 Test #56: pyMolAlign .......................***Failed    8.33 sec
      Start 57: testFeatures
57/79 Test #57: testFeatures .....................   Passed    0.11 sec
      Start 58: pyChemicalFeatures
58/79 Test #58: pyChemicalFeatures ...............   Passed    0.25 sec
      Start 59: testShapeHelpers
59/79 Test #59: testShapeHelpers .................   Passed    0.12 sec
      Start 60: pyShapeHelpers
60/79 Test #60: pyShapeHelpers ...................   Passed    0.33 sec
      Start 61: testMolCatalog
61/79 Test #61: testMolCatalog ...................   Passed    0.04 sec
      Start 62: pyMolCatalog
62/79 Test #62: pyMolCatalog .....................   Passed    0.23 sec
      Start 63: testSLNParse
63/79 Test #63: testSLNParse .....................   Passed    0.17 sec
      Start 64: pySLNParse
64/79 Test #64: pySLNParse .......................   Passed    0.24 sec
      Start 65: pyGraphMolWrap
65/79 Test #65: pyGraphMolWrap ...................   Passed   12.84 sec
      Start 66: pyTestConformerWrap
66/79 Test #66: pyTestConformerWrap ..............   Passed    0.26 sec
      Start 67: testQuery
67/79 Test #67: testQuery ........................   Passed    0.05 sec
      Start 68: testMatCalc
68/79 Test #68: testMatCalc ......................   Passed    0.02 sec
      Start 69: pyMatCalc
69/79 Test #69: pyMatCalc ........................   Passed    1.03 sec
      Start 70: pyRanker
70/79 Test #70: pyRanker .........................   Passed    0.36 sec
      Start 71: testChemicalFeatures
71/79 Test #71: testChemicalFeatures .............   Passed    0.02 sec
      Start 72: pyFeatures
72/79 Test #72: pyFeatures .......................   Passed    0.23 sec
      Start 73: pythonTestDbCLI
73/79 Test #73: pythonTestDbCLI ..................   Passed   43.24 sec
      Start 74: pythonTestDirML
74/79 Test #74: pythonTestDirML ..................   Passed   11.82 sec
      Start 75: pythonTestDirDataStructs
75/79 Test #75: pythonTestDirDataStructs .........   Passed    0.06 sec
      Start 76: pythonTestDirDbase
76/79 Test #76: pythonTestDirDbase ...............   Passed    0.03 sec
      Start 77: pythonTestDirSimDivFilters
77/79 Test #77: pythonTestDirSimDivFilters .......   Passed    0.02 sec
      Start 78: pythonTestDirVLib
78/79 Test #78: pythonTestDirVLib ................   Passed    0.03 sec
      Start 79: pythonTestDirChem
79/79 Test #79: pythonTestDirChem ................***Failed   93.17 sec
87% tests passed, 10 tests failed out of 79
Total Test time (real) = 216.11 sec
The following tests FAILED:
	 14 - testUFFForceField (OTHER_FAULT)
	 15 - testMMFFForceField (OTHER_FAULT)
	 16 - pyForceFieldConstraints (Failed)
	 50 - testMMFFForceFieldHelpers (OTHER_FAULT)
	 51 - testUFFForceFieldHelpers (OTHER_FAULT)
	 52 - pyForceFieldHelpers (Failed)
	 54 - pyDistGeom (Failed)
	 55 - testMolAlign (OTHER_FAULT)
	 56 - pyMolAlign (Failed)
	 79 - pythonTestDirChem (Failed)
Errors while running CTest
make: *** [test] Error 8
RPM build errors:
error: Bad exit status from /var/tmp/rpm-tmp.9AZKoz (%check)
    Bad exit status from /var/tmp/rpm-tmp.9AZKoz (%check)
Child return code was: 1
Comment 30 Gianluca Sforna 2014-05-19 06:12:06 EDT
Works on Koji.
http://koji.fedoraproject.org/koji/taskinfo?taskID=6862522
Comment 31 Christopher Meng 2014-07-01 05:14:03 EDT
Created attachment 915929 [details]
Comment

(This comment was longer than 65,535 characters and has been moved to an attachment by Red Hat Bugzilla).
Comment 32 Gianluca Sforna 2014-07-16 10:18:19 EDT
So the only real issue I see on the report is a directory not owned. I corrected that in -3.

http://giallu.fedorapeople.org/rdkit.spec
http://giallu.fedorapeople.org/rdkit-2014.03.1-3.fc20.src.rpm

Anything left?
Comment 33 Christopher Meng 2014-07-17 03:26:43 EDT
Please patch all /usr/bin/env python to %{__python2}.

Please try to fix the W: unused-direct-shlib-dependency issues, you can take a look at the common rpmlint page.

Please add the ?_isa bits macro for non-noarch subpackages:

http://fedoraproject.org/wiki/Packaging:Guidelines#Requiring_Base_Package
Comment 34 Gianluca Sforna 2015-04-30 06:41:12 EDT
Updated spec and srpm:
http://giallu.fedorapeople.org/rdkit-2015.03.1-1.fc21.src.rpm
http://giallu.fedorapeople.org/rdkit.spec

Added the ?_isa bit on subpackages, will fix the python stuff at next release. However, the shlib warning is eluding me since a long time...
Comment 36 Gianluca Sforna 2015-09-02 04:00:04 EDT
Christopher, are you able to complete the review? 
I am running a COPR for this since some time, so I'd rather close this review request if I'm not able to make it into proper repos after three years.
Comment 37 Christopher Meng 2015-09-16 08:11:02 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated



Issues:
=======
- If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %license.
  Note: License file license.txt is marked as %doc instead of %license
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "MIT/X11 (BSD like)", "BSL (v1.0)",
     "BSL", "BSD (3 clause)", "BSD (2 clause)". 1049 files have unknown
     license. Detailed output of licensecheck:

See attachment.

[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 133120 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: Uses parallel make %{?_smp_mflags} macro.
[x]: Avoid bundling fonts in non-fonts packages.
     Note: Package contains font files
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in rdkit-
     doc , rdkit-extras , rdkit-debuginfo
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Scriptlets must be sane, if used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[-]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.


Installation errors
-------------------
INFO: mock.py version 1.2.12 starting (python version = 3.4.3)...
Start: init plugins
INFO: selinux disabled
Finish: init plugins
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled dnf cache
Start: cleaning dnf metadata
Finish: cleaning dnf metadata
INFO: enabled ccache
Mock Version: 1.2.12
INFO: Mock Version: 1.2.12
Finish: chroot init
INFO: installing package(s): /home/rpmaker/Desktop/rdkit/results/rdkit-2015.03.1-2.fc24.i686.rpm /home/rpmaker/Desktop/rdkit/results/rdkit-devel-2015.03.1-2.fc24.i686.rpm /home/rpmaker/Desktop/rdkit/results/rdkit-doc-2015.03.1-2.fc24.noarch.rpm /home/rpmaker/Desktop/rdkit/results/rdkit-extras-2015.03.1-2.fc24.noarch.rpm /home/rpmaker/Desktop/rdkit/results/python-rdkit-2015.03.1-2.fc24.i686.rpm /home/rpmaker/Desktop/rdkit/results/rdkit-postgresql-2015.03.1-2.fc24.i686.rpm /home/rpmaker/Desktop/rdkit/results/rdkit-debuginfo-2015.03.1-2.fc24.i686.rpm /home/rpmaker/Desktop/rdkit/results/rdkit-debuginfo-2015.03.1-2.fc24.i686.rpm
ERROR: Command failed. See logs for output.
 # /usr/bin/dnf --installroot /var/lib/mock/fedora-rawhide-i386/root/ --releasever 24 install /home/rpmaker/Desktop/rdkit/results/rdkit-2015.03.1-2.fc24.i686.rpm /home/rpmaker/Desktop/rdkit/results/rdkit-devel-2015.03.1-2.fc24.i686.rpm /home/rpmaker/Desktop/rdkit/results/rdkit-doc-2015.03.1-2.fc24.noarch.rpm /home/rpmaker/Desktop/rdkit/results/rdkit-extras-2015.03.1-2.fc24.noarch.rpm /home/rpmaker/Desktop/rdkit/results/python-rdkit-2015.03.1-2.fc24.i686.rpm /home/rpmaker/Desktop/rdkit/results/rdkit-postgresql-2015.03.1-2.fc24.i686.rpm /home/rpmaker/Desktop/rdkit/results/rdkit-debuginfo-2015.03.1-2.fc24.i686.rpm /home/rpmaker/Desktop/rdkit/results/rdkit-debuginfo-2015.03.1-2.fc24.i686.rpm


Rpmlint
-------
Checking: rdkit-2015.03.1-2.fc24.i686.rpm
          rdkit-devel-2015.03.1-2.fc24.i686.rpm
          rdkit-doc-2015.03.1-2.fc24.noarch.rpm
          rdkit-extras-2015.03.1-2.fc24.noarch.rpm
          python-rdkit-2015.03.1-2.fc24.i686.rpm
          rdkit-postgresql-2015.03.1-2.fc24.i686.rpm
          rdkit-debuginfo-2015.03.1-2.fc24.i686.rpm
          rdkit-2015.03.1-2.fc24.src.rpm
rdkit.i686: W: spelling-error Summary(en_US) informatics -> information, informative, informants
rdkit.i686: W: spelling-error %description -l en_US informatics -> information, informative, informants
rdkit.i686: W: shared-lib-calls-exit /usr/lib/libSmilesParse.so.1.2015.03.1 exit@GLIBC_2.0
rdkit.i686: W: shared-lib-calls-exit /usr/lib/libSLNParse.so.1.2015.03.1 exit@GLIBC_2.0
rdkit-devel.i686: W: no-documentation
rdkit-doc.noarch: W: no-documentation
rdkit-extras.noarch: W: no-documentation
rdkit-extras.noarch: W: devel-file-in-non-devel-package /usr/share/RDKit/Contrib/ConformerParser/test.cpp
rdkit-extras.noarch: W: devel-file-in-non-devel-package /usr/share/RDKit/Contrib/ConformerParser/ConformerParser.h
rdkit-extras.noarch: W: devel-file-in-non-devel-package /usr/share/RDKit/Contrib/ConformerParser/ConformerParser.cpp
rdkit-extras.noarch: W: devel-file-in-non-devel-package /usr/share/RDKit/Contrib/PBF/PBFRDKit.h
rdkit-extras.noarch: E: non-executable-script /usr/share/RDKit/Contrib/fraggle/cxn_tversky.py 644 /usr/bin/env
rdkit-extras.noarch: W: devel-file-in-non-devel-package /usr/share/RDKit/Contrib/PBF/demo.cpp
rdkit-extras.noarch: W: devel-file-in-non-devel-package /usr/share/RDKit/Contrib/PBF/PBFRDKit.cpp
rdkit-extras.noarch: W: devel-file-in-non-devel-package /usr/share/RDKit/Contrib/ConformerParser/Wrap/rdConformerParser.cpp
python-rdkit.i686: W: no-documentation
python-rdkit.i686: E: non-executable-script /usr/lib/python2.7/site-packages/rdkit/Chem/fmcs/fmcs 644 /usr/bin/env
python-rdkit.i686: E: non-executable-script /usr/lib/python2.7/site-packages/rdkit/Chem/fmcs/fmcs.py 644 /usr/bin/env
rdkit-postgresql.i686: W: spelling-error %description -l en_US mol -> mewl, mil, mo
rdkit-postgresql.i686: W: spelling-error %description -l en_US fp -> pf, f, p
rdkit-postgresql.i686: W: spelling-error %description -l en_US tanimoto -> animator
rdkit-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/rdkit-Release_2015_03_1/Code/Numerics/Optimizer/BFGSOpt.h
rdkit-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/rdkit-Release_2015_03_1/Code/GraphMol/Wrap/MolOps.cpp
rdkit.src: W: spelling-error Summary(en_US) informatics -> information, informative, informants
rdkit.src: W: spelling-error %description -l en_US informatics -> information, informative, informants
rdkit.src: W: patch-not-applied Patch5: rdkit-2014.09-allow_system_junit.patch
8 packages and 0 specfiles checked; 3 errors, 23 warnings.




Requires
--------
rdkit-debuginfo (rpmlib, GLIBC filtered):

rdkit (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libAlignment.so.1
    libCatalogs.so.1
    libChemTransforms.so.1
    libDataStructs.so.1
    libDepictor.so.1
    libDescriptors.so.1
    libDistGeometry.so.1
    libEigenSolvers.so.1
    libFileParsers.so.1
    libFingerprints.so.1
    libForceField.so.1
    libForceFieldHelpers.so.1
    libGraphMol.so.1
    libMolTransforms.so.1
    libOptimizer.so.1
    libPartialCharges.so.1
    libRDGeneral.so.1
    libRDGeometryLib.so.1
    libSmilesParse.so.1
    libSubgraphs.so.1
    libSubstructMatch.so.1
    libboost_python.so.1.59.0
    libboost_regex.so.1.59.0
    libc.so.6
    libgcc_s.so.1
    libgcc_s.so.1(GCC_3.0)
    libhc.so.1
    libinchi.so.1
    libm.so.6
    libpthread.so.0
    libpython2.7.so.1.0
    libstdc++.so.6
    libstdc++.so.6(CXXABI_1.3)
    libstdc++.so.6(CXXABI_1.3.1)
    rtld(GNU_HASH)

rdkit-devel (rpmlib, GLIBC filtered):
    boost-devel
    cmake
    libAlignment.so.1
    libCatalogs.so.1
    libChemReactions.so.1
    libChemTransforms.so.1
    libChemicalFeatures.so.1
    libDataStructs.so.1
    libDepictor.so.1
    libDescriptors.so.1
    libDistGeomHelpers.so.1
    libDistGeometry.so.1
    libEigenSolvers.so.1
    libFMCS.so.1
    libFileParsers.so.1
    libFingerprints.so.1
    libForceField.so.1
    libForceFieldHelpers.so.1
    libFragCatalog.so.1
    libGraphMol.so.1
    libInfoTheory.so.1
    libMolAlign.so.1
    libMolCatalog.so.1
    libMolChemicalFeatures.so.1
    libMolDraw2D.so.1
    libMolHash.so.1
    libMolTransforms.so.1
    libOptimizer.so.1
    libPartialCharges.so.1
    libRDBoost.so.1
    libRDGeneral.so.1
    libRDGeometryLib.so.1
    libRDInchiLib.so.1
    libSLNParse.so.1
    libShapeHelpers.so.1
    libSimDivPickers.so.1
    libSmilesParse.so.1
    libSubgraphs.so.1
    libSubstructMatch.so.1
    libhc.so.1
    python2-devel
    rdkit(x86-32)

rdkit-postgresql (rpmlib, GLIBC filtered):
    libChemReactions.so.1
    libChemTransforms.so.1
    libDataStructs.so.1
    libDepictor.so.1
    libDescriptors.so.1
    libFMCS.so.1
    libFileParsers.so.1
    libFingerprints.so.1
    libGraphMol.so.1
    libMolHash.so.1
    libRDGeneral.so.1
    libSmilesParse.so.1
    libSubstructMatch.so.1
    libc.so.6
    libgcc_s.so.1
    libgcc_s.so.1(GCC_3.0)
    libm.so.6
    libstdc++.so.6
    libstdc++.so.6(CXXABI_1.3)
    postgresql-server
    rdkit(x86-32)
    rtld(GNU_HASH)

rdkit-extras (rpmlib, GLIBC filtered):
    /usr/bin/python
    rdkit

python-rdkit (rpmlib, GLIBC filtered):
    libAlignment.so.1
    libCatalogs.so.1
    libChemReactions.so.1
    libChemTransforms.so.1
    libChemicalFeatures.so.1
    libDataStructs.so.1
    libDepictor.so.1
    libDescriptors.so.1
    libDistGeomHelpers.so.1
    libDistGeometry.so.1
    libEigenSolvers.so.1
    libFMCS.so.1
    libFileParsers.so.1
    libFingerprints.so.1
    libForceField.so.1
    libForceFieldHelpers.so.1
    libFragCatalog.so.1
    libGraphMol.so.1
    libInfoTheory.so.1
    libMolAlign.so.1
    libMolCatalog.so.1
    libMolChemicalFeatures.so.1
    libMolDraw2D.so.1
    libMolHash.so.1
    libMolTransforms.so.1
    libOptimizer.so.1
    libPartialCharges.so.1
    libRDBoost.so.1
    libRDGeneral.so.1
    libRDGeometryLib.so.1
    libRDInchiLib.so.1
    libSLNParse.so.1
    libShapeHelpers.so.1
    libSimDivPickers.so.1
    libSmilesParse.so.1
    libSubgraphs.so.1
    libSubstructMatch.so.1
    libboost_python.so.1.59.0
    libboost_regex.so.1.59.0
    libc.so.6
    libgcc_s.so.1
    libgcc_s.so.1(GCC_3.0)
    libhc.so.1
    libinchi.so.1
    libm.so.6
    libpthread.so.0
    libpython2.7.so.1.0
    libstdc++.so.6
    libstdc++.so.6(CXXABI_1.3)
    libstdc++.so.6(CXXABI_1.3.1)
    numpy
    pycairo
    python(abi)
    python-imaging
    rdkit(x86-32)
    rtld(GNU_HASH)
    xorg-x11-fonts-Type1

rdkit-doc (rpmlib, GLIBC filtered):
    rdkit



Provides
--------
rdkit-debuginfo:
    rdkit-debuginfo
    rdkit-debuginfo(x86-32)

rdkit:
    libAlignment.so.1
    libCatalogs.so.1
    libChemReactions.so.1
    libChemTransforms.so.1
    libChemicalFeatures.so.1
    libDataStructs.so.1
    libDepictor.so.1
    libDescriptors.so.1
    libDistGeomHelpers.so.1
    libDistGeometry.so.1
    libEigenSolvers.so.1
    libFMCS.so.1
    libFileParsers.so.1
    libFingerprints.so.1
    libForceField.so.1
    libForceFieldHelpers.so.1
    libFragCatalog.so.1
    libGraphMol.so.1
    libInfoTheory.so.1
    libMolAlign.so.1
    libMolCatalog.so.1
    libMolChemicalFeatures.so.1
    libMolDraw2D.so.1
    libMolHash.so.1
    libMolTransforms.so.1
    libOptimizer.so.1
    libPartialCharges.so.1
    libRDBoost.so.1
    libRDGeneral.so.1
    libRDGeometryLib.so.1
    libRDInchiLib.so.1
    libSLNParse.so.1
    libShapeHelpers.so.1
    libSimDivPickers.so.1
    libSmilesParse.so.1
    libSubgraphs.so.1
    libSubstructMatch.so.1
    libhc.so.1
    rdkit
    rdkit(x86-32)

rdkit-devel:
    rdkit-devel
    rdkit-devel(x86-32)

rdkit-postgresql:
    rdkit-postgresql
    rdkit-postgresql(x86-32)

rdkit-extras:
    rdkit-extras

python-rdkit:
    python-rdkit
    python-rdkit(x86-32)

rdkit-doc:
    rdkit-doc



Unversioned so-files
--------------------
python-rdkit: /usr/lib/python2.7/site-packages/rdkit/Chem/Draw/rdMolDraw2D.so
python-rdkit: /usr/lib/python2.7/site-packages/rdkit/Chem/rdChemReactions.so
python-rdkit: /usr/lib/python2.7/site-packages/rdkit/Chem/rdChemicalFeatures.so
python-rdkit: /usr/lib/python2.7/site-packages/rdkit/Chem/rdDepictor.so
python-rdkit: /usr/lib/python2.7/site-packages/rdkit/Chem/rdDistGeom.so
python-rdkit: /usr/lib/python2.7/site-packages/rdkit/Chem/rdFMCS.so
python-rdkit: /usr/lib/python2.7/site-packages/rdkit/Chem/rdForceFieldHelpers.so
python-rdkit: /usr/lib/python2.7/site-packages/rdkit/Chem/rdMolAlign.so
python-rdkit: /usr/lib/python2.7/site-packages/rdkit/Chem/rdMolCatalog.so
python-rdkit: /usr/lib/python2.7/site-packages/rdkit/Chem/rdMolChemicalFeatures.so
python-rdkit: /usr/lib/python2.7/site-packages/rdkit/Chem/rdMolDescriptors.so
python-rdkit: /usr/lib/python2.7/site-packages/rdkit/Chem/rdMolHash.so
python-rdkit: /usr/lib/python2.7/site-packages/rdkit/Chem/rdMolTransforms.so
python-rdkit: /usr/lib/python2.7/site-packages/rdkit/Chem/rdPartialCharges.so
python-rdkit: /usr/lib/python2.7/site-packages/rdkit/Chem/rdSLNParse.so
python-rdkit: /usr/lib/python2.7/site-packages/rdkit/Chem/rdShapeHelpers.so
python-rdkit: /usr/lib/python2.7/site-packages/rdkit/Chem/rdchem.so
python-rdkit: /usr/lib/python2.7/site-packages/rdkit/Chem/rdfragcatalog.so
python-rdkit: /usr/lib/python2.7/site-packages/rdkit/Chem/rdinchi.so
python-rdkit: /usr/lib/python2.7/site-packages/rdkit/Chem/rdmolfiles.so
python-rdkit: /usr/lib/python2.7/site-packages/rdkit/Chem/rdmolops.so
python-rdkit: /usr/lib/python2.7/site-packages/rdkit/Chem/rdqueries.so
python-rdkit: /usr/lib/python2.7/site-packages/rdkit/DataManip/Metric/rdMetricMatrixCalc.so
python-rdkit: /usr/lib/python2.7/site-packages/rdkit/DataStructs/cDataStructs.so
python-rdkit: /usr/lib/python2.7/site-packages/rdkit/DistanceGeometry/DistGeom.so
python-rdkit: /usr/lib/python2.7/site-packages/rdkit/ForceField/rdForceField.so
python-rdkit: /usr/lib/python2.7/site-packages/rdkit/Geometry/rdGeometry.so
python-rdkit: /usr/lib/python2.7/site-packages/rdkit/ML/Cluster/Clustering.so
python-rdkit: /usr/lib/python2.7/site-packages/rdkit/ML/Data/cQuantize.so
python-rdkit: /usr/lib/python2.7/site-packages/rdkit/ML/InfoTheory/rdInfoTheory.so
python-rdkit: /usr/lib/python2.7/site-packages/rdkit/Numerics/rdAlignment.so
python-rdkit: /usr/lib/python2.7/site-packages/rdkit/SimDivFilters/rdSimDivPickers.so
python-rdkit: /usr/lib/python2.7/site-packages/rdkit/rdBase.so
rdkit-postgresql: /usr/lib/pgsql/rdkit.so

Source checksums
----------------
https://github.com/rdkit/rdkit/archive/Release_2015_03_1.tar.gz :
  CHECKSUM(SHA256) this package     : 48da4cb234c892893b89001aeb365038a2ab5d308fd893eb2834ef2cab6b3074
  CHECKSUM(SHA256) upstream package : 48da4cb234c892893b89001aeb365038a2ab5d308fd893eb2834ef2cab6b3074


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -rvn rdkit-2015.03.1-2.fc21.src.rpm
Buildroot used: fedora-rawhide-i386
Active plugins: Python, Generic, Shell-api, C/C++
Disabled plugins: Java, SugarActivity, fonts, Haskell, Ocaml, Perl, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
--------------------

1. Fix rpmlint W issues, like wrong perms, wrong env shebangs. Note that please patch python interpreter to %{__python2}.

2. use confitional block for tests BRs, to avoid pulling in redundant deps.

3. 
BuildRequires:  cmake
BuildRequires:  flex
BuildRequires:  bison
BuildRequires:  python2-devel
BuildRequires:  boost-devel >= 1.39
BuildRequires:  postgresql-devel
BuildRequires:  %{_bindir}/pg_config
BuildRequires:  numpy
BuildRequires:  inchi-devel
BuildRequires:  chrpath
BuildRequires:  swig
BuildRequires:  java-1.8.0-openjdk-devel
BuildRequires:  junit

i. Drop version requirement in BuildRequires:  boost-devel >= 1.39, it's too old.

ii. BuildRequires:  java-1.8.0-openjdk-devel -> BuildRequires:  java-devel

iii. Requires:       cmake in -devel is wrong, do not pull cmake as dep just because it ships some cmake modules. Drop it and %dir in %files.

iv. 

-devel:

Requires:       python2-devel
Requires:       boost-devel

-postgresql:

Requires:       postgresql-server

-python-rdkit
Requires:       numpy

Are you sure rdkit-devel needs python2-devel? ALSO, use %{?_isa} in

Requires:	   PKGNAME-devel%{?_isa}

for devel deps.

4. %license instead: %doc license.txt. I don't care if you want to build it for EPEL6, please add it to conform to Fedora guidelines.

5. 
To complete installation of the cartridge in PostgreSQL, please follow
the steps detailed in:

%{_pkgdocdir}/README

it doesn't work, it will point to main package's dir instead of -postgresql's dir. Use full path.

6. 

`# Test fails as of 2015.03 release, upstream contacted to try resolve the issue`

Not enough, please write down github issue link or some details.

7. -doc:

/usr/share/RDKit/Docs/Book/exts/

Include PDF ONLY. (Generated for 2013.9 release, probably dated, you can generate from source again, requires additional deps)

Also, %doc RDKit.pdf.

8. Broken script: %{buildroot}/%{_prefix}/src?

9. Summary:        A toolkit for chemical informatics and machine learning 

->

Summary:        Chemical informatics and machine learning toolkit

10. Python3 wrapper please.
Comment 38 Christopher Meng 2015-09-16 08:29:48 EDT
Created attachment 1073997 [details]
licensecheck of rdkit
Comment 39 Gianluca Sforna 2015-11-21 05:00:35 EST
Whoa! that was a huge list, but I think I got it.

https://giallu.fedorapeople.org/rdkit.spec
https://giallu.fedorapeople.org/rdkit-2015.09.2-1.fc23.src.rpm

are the new SRPM and spec, updated to the latest release.

Tests works, but are still disabled because there is an upstream bug about nested tests (they calls python2 explicitly, so they fails when using python3) but I am working on that.

Other than this I think I addressed all the other remarks.

If you want to have a look at built packages, I have a COPR for this:

https://copr.fedoraproject.org/coprs/giallu/rdkit/build/140387/
Comment 40 Gianluca Sforna 2015-12-04 15:40:06 EST
Updated package and spec, the tests are now fixed:

https://giallu.fedorapeople.org/rdkit-2015.09.2-2.fc23.src.rpm
Comment 41 Gianluca Sforna 2016-01-26 04:07:53 EST
Ok, starting the stalled review procedure. Will reassign to nobody in a week or so if we can't continue it.
Comment 42 Germano Massullo 2016-07-18 13:53:28 EDT
Grr the package was still flagged as "Package Under Review", so it did not show up in the pending review lists.
I just fixed the flag
Comment 43 Antonio Trande 2016-07-19 16:03:04 EDT
Hi Gianluca.

Is this package for epel too ?
Comment 44 Gianluca Sforna 2016-07-20 06:24:48 EDT
(In reply to Antonio Trande from comment #43)
> Is this package for epel too ?

Yes, or at least it was supposed to. Recent versions have made it more difficult to do so (for instance, now some recent boost is needed) so I would need to check status.

Last successful build for EPEL 7 was for 2015.09 release, see 
https://copr.fedorainfracloud.org/coprs/giallu/rdkit/package/rdkit/
for details
Comment 45 Antonio Trande 2016-07-20 09:10:33 EDT
make -C _build/latex all-pdf
make[1]: Entering directory '/builddir/build/BUILD/rdkit-Release_2015_09_2/python2/Docs/Book/_build/latex'
pdflatex  'RDKit.tex'
make[1]: pdflatex: Command not found
Makefile:66: recipe for target 'RDKit.pdf' failed
Comment 46 Gianluca Sforna 2016-07-24 05:12:04 EDT
I prepared an updated spec/srpm for the latest version.

It builds in mock for F23, but fails its test suite in F24 (and probably rawhide) due to https://bugzilla.redhat.com/show_bug.cgi?id=1358725

https://giallu.fedorapeople.org/rdkit.spec
https://giallu.fedorapeople.org/rdkit-2016.03.2-1.fc23.src.rpm
Comment 47 Igor Gnatenko 2016-07-24 05:16:22 EDT
> %if 0%{?rhel} && 0%{?rhel} <= 6
drop such things, you don't build this package for EL*
Comment 48 Gianluca Sforna 2016-07-24 05:50:36 EDT
Update. Same package also builds in mock for EPEL 7
Comment 49 Igor Gnatenko 2016-07-24 05:59:07 EDT
(In reply to Gianluca Sforna from comment #48)
> Update. Same package also builds in mock for EPEL 7
but it doesn't mean that it's properly packaged for EPEL7. python3 packages should not have python3, but should have python%{python3_pkgversion} prefix and some other things you need to consider if you really want to build it for EPEL7.
Comment 50 Gianluca Sforna 2016-07-24 12:58:10 EDT
(In reply to Igor Gnatenko from comment #49)
> python3 packages
> should not have python3, but should have python%{python3_pkgversion} prefix
> and some other things you need to consider if you really want to build it
> for EPEL7.

I am playing catchup on the Python guidelines since the 2/3 split, have you got any pointers to the changes needed for EPEL? I have several users of my COPR build on EL7 and if possible I would like to support them with the same package.
Comment 51 Gianluca Sforna 2016-07-25 03:48:58 EDT
So, I found 
https://fedorahosted.org/fpc/ticket/567
on the python3 on EPEL topic.

It seems the guidelines/tooling are not finalized, so I guess we can live with the current state of the SPEC file, since right now I'm only building for python2 in EPEL.
Comment 52 Antonio Trande 2016-08-02 09:42:12 EDT
(In reply to Gianluca Sforna from comment #46)
> I prepared an updated spec/srpm for the latest version.
> 
> It builds in mock for F23, but fails its test suite in F24 (and probably
> rawhide) due to https://bugzilla.redhat.com/show_bug.cgi?id=1358725
> 
> https://giallu.fedorapeople.org/rdkit.spec
> https://giallu.fedorapeople.org/rdkit-2016.03.2-1.fc23.src.rpm

Gianluca, 'pdflatex' is still a missing command.
Comment 53 Gianluca Sforna 2016-08-02 10:40:27 EDT
(In reply to Antonio Trande from comment #52)
> 
> Gianluca, 'pdflatex' is still a missing command.

In which distro/arch? As stated above, mock build is fine.

BTW, thanks a lot for prodding the boost maintainer into looking at the issue.
Comment 54 Antonio Trande 2016-08-02 10:42:56 EDT
Fedora rawhide-i386.
Comment 55 Gianluca Sforna 2016-08-03 06:53:28 EDT
ok, it seems rawhide has either a different split of the texlive packages or (more probably) the dependencies between them changed so I need to find out what I really need to BuildRequire for the documentation.
Comment 56 Igor Gnatenko 2016-08-03 07:02:35 EDT
(In reply to Gianluca Sforna from comment #55)
> ok, it seems rawhide has either a different split of the texlive packages or
> (more probably) the dependencies between them changed so I need to find out
> what I really need to BuildRequire for the documentation.

BuildRequires: /usr/bin/pdflatex

?
Comment 57 Gianluca Sforna 2016-08-03 10:43:58 EDT
(In reply to Igor Gnatenko from comment #56)
> 
> BuildRequires: /usr/bin/pdflatex

Yep, I tried it but just uncovered a whole lot of more missing texlive parts, fonts and stuff...
Comment 58 Rex Dieter 2016-08-03 10:48:48 EDT
I'd recommend trying:
BuildRequires: texlive-collection-latexrecommended
and maybe also:
BuildRequires: texlive-collection-fontsrecommended
as a starting point.

Then, for any missing latex package(s), you can add more:

BuildRequires: tex(missing_tex_package_name)
lines until it's happy.
Comment 59 Gianluca Sforna 2016-08-04 04:49:59 EDT
(In reply to Rex Dieter from comment #58)
> BuildRequires: texlive-collection-latexrecommended
> and maybe also:
> BuildRequires: texlive-collection-fontsrecommended
> as a starting point.

Thanks Rex, that's very useful to know!

New package uploaded, build tested in rawhide:

https://giallu.fedorapeople.org/rdkit.spec
https://giallu.fedorapeople.org/rdkit-2016.03.2-2.fc23.src.rpm

BTW, I assume we haven't the same texlive metapackages for EPEL?
Comment 60 Antonio Trande 2016-08-04 07:59:02 EDT
Still failed on arm:

http://koji.fedoraproject.org/koji/taskinfo?taskID=15129093
Comment 61 Rex Dieter 2016-08-04 08:05:38 EDT
Failure was some custom/incompatible compiler flag apparently:

cc1plus: error: unrecognized command line option '-mpopcnt'
Comment 62 Paul Emsley 2016-08-06 20:36:04 EDT
Here's a patch for arm:


--- CMakeLists.txt-orig	2016-08-07 01:24:15.720000000 +0100
+++ CMakeLists.txt	2016-08-07 01:28:10.997000000 +0100
@@ -42,7 +42,9 @@
 
 if(NOT MSVC)
   if(RDK_OPTIMIZE_NATIVE)
-      set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -mpopcnt")
+     IF(NOT ${CMAKE_SYSTEM_PROCESSOR} MATCHES "arm") 
+         set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -mpopcnt")
+     endif()
   endif()
 endif()
Comment 63 Gianluca Sforna 2016-08-08 06:48:23 EDT
Thanks Paul, I actually added ifdef on %arm to disable the RDK_OPTIMIZE_NATIVE flag and managed to fix another issue with the postgresql cartridge build, switching to cmake also for that one [1]

However, I have now a failing test for PostgreSQL, do anyone know if it is possible to use pg_regress on the buildsystem chroot?

Latest spec/srpm:
https://giallu.fedorapeople.org/rdkit.spec
https://giallu.fedorapeople.org/rdkit-2016.03.2-3.fc23.src.rpm

[1] https://github.com/rdkit/rdkit/pull/1009
Comment 64 Paul Emsley 2016-08-10 17:01:09 EDT
(In reply to Gianluca Sforna from comment #63)

> does anyone know if it is
> possible to use pg_regress on the buildsystem chroot?

I do not know if it's possible.  It doesn't seem like a popular thing to want to do.
I'd say that it is (very) esoteric.  Are you sure that you need to run the testPgSQL test?  It seems to me more of a test of your database configuration skills than of RDKit features. 

Skip the test?
Comment 65 Gianluca Sforna 2016-08-13 13:10:35 EDT
(In reply to Paul Emsley from comment #64)
> I'd say that it is (very) esoteric.  Are you sure that you need to run the
> testPgSQL test?  It seems to me more of a test of your database
> configuration skills than of RDKit features. 

rdkit ships a PgSQL cartridge to store molecules in the DB. I think the idea is to test those functions in the context of the DB server.

> 
> Skip the test?

yep, I did it and prepared a new package

https://giallu.fedorapeople.org/rdkit.spec
https://giallu.fedorapeople.org/rdkit-2016.03.2-4.fc23.src.rpm

scratch build far rawhide:
http://koji.fedoraproject.org/koji/taskinfo?taskID=15242505
Comment 66 Paul Emsley 2016-08-14 09:11:33 EDT
(In reply to Gianluca Sforna from comment #65)

> > 
> > Skip the test?
> 
> yep, I did it and prepared a new package

Good stuff.

> 
> https://giallu.fedorapeople.org/rdkit.spec
> https://giallu.fedorapeople.org/rdkit-2016.03.2-4.fc23.src.rpm
> 
> scratch build far rawhide:
> http://koji.fedoraproject.org/koji/taskinfo?taskID=15242505

You have put an executable script fmcs in /usr/lib64/python2.7/site-packages/rdkit/Chem/fmcs.  I don't think that it belongs there. RDKit users shouldn't have to add /usr/lib64/python2.7/site-packages/rdkit/Chem/fmcs to their path to find it. In fact, as it's just a shim I don't think it need to be packaged at all and RDKit users can get to fmcs funcions via

>>> from RDKit.Chem import fmcs

or so?  (And that will use fmcs.py, not fmcs.)
Comment 67 Antonio Trande 2016-08-14 11:43:52 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

Issues
==============

- Remove rpath contained in /usr/lib64/pgsql/rdkit.so

- Fix wrong-script-interpreter and unused-direct-shlib-dependency
  warnings (see rpmlint output).

- Two tests are failed on my PC, i have disabled all tests for the reviewing

>        Start   8: pyFPB
> 8: Test command: /usr/bin/python2 "/builddir/build/BUILD/rdkit-Release_2016_03_2/python2/Code/DataStructs/Wrap/testFPB.py"
> 8: Test timeout computed to be: 9.99988e+06
> 8: .
>  8/103 Test   #8: pyFPB ............................***Exception: Illegal  0.32 sec

- The package does not build on epel because of issue reported in comment #61.

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[!]: Rpath absent or only used for internal libs.
     Note: See rpmlint output
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "MIT/X11 (BSD like)", "BSL (v1.0)",
     "BSL", "BSD (3 clause)", "BSD (2 clause)". 2251 files have unknown
     license. Detailed output of licensecheck in
     /home/sagitter/rpmbuild/SRPMS/rdkit/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib64/cmake
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 153600 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[?]: Avoid bundling fonts in non-fonts packages.
     Note: Package contains font files
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in rdkit-
     doc , rdkit-debuginfo
[ ]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[?]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.


Rpmlint
-------
Checking: rdkit-2016.03.2-4.fc26.x86_64.rpm
          rdkit-devel-2016.03.2-4.fc26.x86_64.rpm
          rdkit-doc-2016.03.2-4.fc26.noarch.rpm
          python2-rdkit-2016.03.2-4.fc26.x86_64.rpm
          python3-rdkit-2016.03.2-4.fc26.x86_64.rpm
          rdkit-postgresql-2016.03.2-4.fc26.x86_64.rpm
          rdkit-debuginfo-2016.03.2-4.fc26.x86_64.rpm
          rdkit-2016.03.2-4.fc26.src.rpm
rdkit.x86_64: W: spelling-error Summary(en_US) informatics -> information, informative, informants
rdkit.x86_64: W: spelling-error %description -l en_US informatics -> information, informative, informants
rdkit-devel.x86_64: W: only-non-binary-in-usr-lib
rdkit-devel.x86_64: W: no-documentation
python2-rdkit.x86_64: W: no-documentation
python2-rdkit.x86_64: E: wrong-script-interpreter /usr/lib64/python2.7/site-packages/rdkit/Chem/fmcs/fmcs /usr/bin/env python
python3-rdkit.x86_64: W: no-documentation
python3-rdkit.x86_64: E: wrong-script-interpreter /usr/lib64/python3.5/site-packages/rdkit/Chem/fmcs/fmcs /usr/bin/env python
rdkit-postgresql.x86_64: W: spelling-error %description -l en_US mol -> mewl, mil, mo
rdkit-postgresql.x86_64: W: spelling-error %description -l en_US fp -> pf, f, p
rdkit-postgresql.x86_64: W: spelling-error %description -l en_US tanimoto -> animator
rdkit-postgresql.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/pgsql/rdkit.so ['lib64', '/builddir/build/BUILD/rdkit-Release_2016_03_2/python2/lib']
rdkit-postgresql.x86_64: E: script-without-shebang /usr/share/pgsql/extension/rdkit.control
rdkit-postgresql.x86_64: E: script-without-shebang /usr/share/pgsql/extension/rdkit--3.4.sql
rdkit.src: W: spelling-error Summary(en_US) informatics -> information, informative, informants
rdkit.src: W: spelling-error %description -l en_US informatics -> information, informative, informants
8 packages and 0 specfiles checked; 5 errors, 11 warnings.




Rpmlint (debuginfo)
-------------------
Checking: rdkit-debuginfo-2016.03.2-4.fc26.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
python2-rdkit.x86_64: W: no-documentation
python2-rdkit.x86_64: E: wrong-script-interpreter /usr/lib64/python2.7/site-packages/rdkit/Chem/fmcs/fmcs /usr/bin/env python
rdkit.x86_64: W: spelling-error Summary(en_US) informatics -> information, informative, informants
rdkit.x86_64: W: spelling-error %description -l en_US informatics -> information, informative, informants
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libMolAlign.so.1.2016.03.2 /lib64/libEigenSolvers.so.1
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libMolAlign.so.1.2016.03.2 /lib64/libDataStructs.so.1
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libDistGeometry.so.1.2016.03.2 /lib64/libOptimizer.so.1
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libDistGeometry.so.1.2016.03.2 /lib64/libSmilesParse.so.1
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libDistGeometry.so.1.2016.03.2 /lib64/libSubstructMatch.so.1
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libDistGeometry.so.1.2016.03.2 /lib64/libGraphMol.so.1
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libDistGeometry.so.1.2016.03.2 /lib64/libDataStructs.so.1
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libDistGeometry.so.1.2016.03.2 /lib64/libboost_thread.so.1.60.0
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libDistGeometry.so.1.2016.03.2 /lib64/libboost_system.so.1.60.0
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libDistGeometry.so.1.2016.03.2 /lib64/libpthread.so.0
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libReducedGraphs.so.1.2016.03.2 /lib64/libboost_thread.so.1.60.0
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libReducedGraphs.so.1.2016.03.2 /lib64/libboost_system.so.1.60.0
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libReducedGraphs.so.1.2016.03.2 /lib64/libRDGeometryLib.so.1
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libReducedGraphs.so.1.2016.03.2 /lib64/libDataStructs.so.1
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libReducedGraphs.so.1.2016.03.2 /lib64/libm.so.6
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libCatalogs.so.1.2016.03.2 /lib64/libRDGeneral.so.1
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libCatalogs.so.1.2016.03.2 /lib64/libboost_thread.so.1.60.0
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libCatalogs.so.1.2016.03.2 /lib64/libboost_system.so.1.60.0
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libCatalogs.so.1.2016.03.2 /lib64/libpthread.so.0
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libCatalogs.so.1.2016.03.2 /lib64/libm.so.6
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libCatalogs.so.1.2016.03.2 /lib64/libgcc_s.so.1
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libSimDivPickers.so.1.2016.03.2 /lib64/libboost_thread.so.1.60.0
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libSimDivPickers.so.1.2016.03.2 /lib64/libboost_system.so.1.60.0
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libSimDivPickers.so.1.2016.03.2 /lib64/libpthread.so.0
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libSimDivPickers.so.1.2016.03.2 /lib64/libm.so.6
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libDistGeomHelpers.so.1.2016.03.2 /lib64/libSmilesParse.so.1
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libDistGeomHelpers.so.1.2016.03.2 /lib64/libSubstructMatch.so.1
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libDistGeomHelpers.so.1.2016.03.2 /lib64/libOptimizer.so.1
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libDistGeomHelpers.so.1.2016.03.2 /lib64/libEigenSolvers.so.1
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libDistGeomHelpers.so.1.2016.03.2 /lib64/libDataStructs.so.1
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libFragCatalog.so.1.2016.03.2 /lib64/libRDGeometryLib.so.1
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libFragCatalog.so.1.2016.03.2 /lib64/libboost_thread.so.1.60.0
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libFragCatalog.so.1.2016.03.2 /lib64/libpthread.so.0
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libFragCatalog.so.1.2016.03.2 /lib64/libm.so.6
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libFMCS.so.1.2016.03.2 /lib64/libDepictor.so.1
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libFMCS.so.1.2016.03.2 /lib64/libFileParsers.so.1
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libFMCS.so.1.2016.03.2 /lib64/libChemTransforms.so.1
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libFMCS.so.1.2016.03.2 /lib64/libRDGeometryLib.so.1
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libFMCS.so.1.2016.03.2 /lib64/libDataStructs.so.1
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libFMCS.so.1.2016.03.2 /lib64/libboost_thread.so.1.60.0
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libFMCS.so.1.2016.03.2 /lib64/libpthread.so.0
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libMolDraw2D.so.1.2016.03.2 /lib64/libSmilesParse.so.1
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libMolDraw2D.so.1.2016.03.2 /lib64/libSubstructMatch.so.1
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libMolDraw2D.so.1.2016.03.2 /lib64/libSubgraphs.so.1
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libMolDraw2D.so.1.2016.03.2 /lib64/libboost_thread.so.1.60.0
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libMolDraw2D.so.1.2016.03.2 /lib64/libpthread.so.0
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libMolDraw2D.so.1.2016.03.2 /lib64/libDataStructs.so.1
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libOptimizer.so.1.2016.03.2 /lib64/libRDGeometryLib.so.1
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libOptimizer.so.1.2016.03.2 /lib64/libDataStructs.so.1
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libOptimizer.so.1.2016.03.2 /lib64/libRDGeneral.so.1
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libOptimizer.so.1.2016.03.2 /lib64/libboost_thread.so.1.60.0
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libOptimizer.so.1.2016.03.2 /lib64/libboost_system.so.1.60.0
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libOptimizer.so.1.2016.03.2 /lib64/libpthread.so.0
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libOptimizer.so.1.2016.03.2 /lib64/libm.so.6
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libOptimizer.so.1.2016.03.2 /lib64/libgcc_s.so.1
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libAlignment.so.1.2016.03.2 /lib64/libDataStructs.so.1
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libAlignment.so.1.2016.03.2 /lib64/libboost_thread.so.1.60.0
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libAlignment.so.1.2016.03.2 /lib64/libboost_system.so.1.60.0
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libAlignment.so.1.2016.03.2 /lib64/libpthread.so.0
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libMolTransforms.so.1.2016.03.2 /lib64/libDataStructs.so.1
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libMolTransforms.so.1.2016.03.2 /lib64/libboost_thread.so.1.60.0
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libMolTransforms.so.1.2016.03.2 /lib64/libpthread.so.0
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libMolHash.so.1.2016.03.2 /lib64/libDepictor.so.1
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libMolHash.so.1.2016.03.2 /lib64/libPartialCharges.so.1
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libMolHash.so.1.2016.03.2 /lib64/libFileParsers.so.1
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libMolHash.so.1.2016.03.2 /lib64/libSmilesParse.so.1
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libMolHash.so.1.2016.03.2 /lib64/libSubgraphs.so.1
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libMolHash.so.1.2016.03.2 /lib64/libSubstructMatch.so.1
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libMolHash.so.1.2016.03.2 /lib64/libRDGeometryLib.so.1
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libMolHash.so.1.2016.03.2 /lib64/libDataStructs.so.1
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libMolHash.so.1.2016.03.2 /lib64/libboost_thread.so.1.60.0
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libMolHash.so.1.2016.03.2 /lib64/libboost_system.so.1.60.0
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libMolHash.so.1.2016.03.2 /lib64/libpthread.so.0
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libMolHash.so.1.2016.03.2 /lib64/libm.so.6
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libForceField.so.1.2016.03.2 /lib64/libOptimizer.so.1
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libForceField.so.1.2016.03.2 /lib64/libDataStructs.so.1
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libForceField.so.1.2016.03.2 /lib64/libboost_thread.so.1.60.0
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libForceField.so.1.2016.03.2 /lib64/libboost_system.so.1.60.0
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libForceField.so.1.2016.03.2 /lib64/libpthread.so.0
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libShapeHelpers.so.1.2016.03.2 /lib64/libEigenSolvers.so.1
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libShapeHelpers.so.1.2016.03.2 /lib64/libboost_thread.so.1.60.0
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libShapeHelpers.so.1.2016.03.2 /lib64/libboost_system.so.1.60.0
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libShapeHelpers.so.1.2016.03.2 /lib64/libpthread.so.0
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libSubstructMatch.so.1.2016.03.2 /lib64/libRDGeometryLib.so.1
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libSubstructMatch.so.1.2016.03.2 /lib64/libDataStructs.so.1
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libChemReactions.so.1.2016.03.2 /lib64/libPartialCharges.so.1
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libChemReactions.so.1.2016.03.2 /lib64/libSubgraphs.so.1
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libChemReactions.so.1.2016.03.2 /lib64/libRDGeometryLib.so.1
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libChemReactions.so.1.2016.03.2 /lib64/libboost_thread.so.1.60.0
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libChemReactions.so.1.2016.03.2 /lib64/libpthread.so.0
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libRDInchiLib.so.1.2016.03.2 /lib64/libDepictor.so.1
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libRDInchiLib.so.1.2016.03.2 /lib64/libboost_thread.so.1.60.0
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libRDInchiLib.so.1.2016.03.2 /lib64/libRDGeometryLib.so.1
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libRDInchiLib.so.1.2016.03.2 /lib64/libDataStructs.so.1
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libRDInchiLib.so.1.2016.03.2 /lib64/libm.so.6
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libChemicalFeatures.so.1.2016.03.2 /lib64/libm.so.6
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libPartialCharges.so.1.2016.03.2 /lib64/libRDGeometryLib.so.1
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libPartialCharges.so.1.2016.03.2 /lib64/libDataStructs.so.1
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libPartialCharges.so.1.2016.03.2 /lib64/libboost_thread.so.1.60.0
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libPartialCharges.so.1.2016.03.2 /lib64/libboost_system.so.1.60.0
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libPartialCharges.so.1.2016.03.2 /lib64/libm.so.6
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libMolChemicalFeatures.so.1.2016.03.2 /lib64/libRDGeometryLib.so.1
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libMolChemicalFeatures.so.1.2016.03.2 /lib64/libDataStructs.so.1
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libMolChemicalFeatures.so.1.2016.03.2 /lib64/libboost_thread.so.1.60.0
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libMolChemicalFeatures.so.1.2016.03.2 /lib64/libboost_system.so.1.60.0
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libMolChemicalFeatures.so.1.2016.03.2 /lib64/libpthread.so.0
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libFingerprints.so.1.2016.03.2 /lib64/libboost_thread.so.1.60.0
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libFingerprints.so.1.2016.03.2 /lib64/libRDGeometryLib.so.1
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libFilterCatalog.so.1.2016.03.2 /lib64/libSubgraphs.so.1
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libFilterCatalog.so.1.2016.03.2 /lib64/libRDGeometryLib.so.1
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libFilterCatalog.so.1.2016.03.2 /lib64/libDataStructs.so.1
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libFilterCatalog.so.1.2016.03.2 /lib64/libboost_thread.so.1.60.0
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libFilterCatalog.so.1.2016.03.2 /lib64/libpthread.so.0
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libFilterCatalog.so.1.2016.03.2 /lib64/libm.so.6
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libMMPA.so.1.2016.03.2 /lib64/libDepictor.so.1
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libMMPA.so.1.2016.03.2 /lib64/libFileParsers.so.1
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libMMPA.so.1.2016.03.2 /lib64/libChemTransforms.so.1
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libMMPA.so.1.2016.03.2 /lib64/libboost_thread.so.1.60.0
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libMMPA.so.1.2016.03.2 /lib64/libboost_system.so.1.60.0
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libMMPA.so.1.2016.03.2 /lib64/libpthread.so.0
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libMMPA.so.1.2016.03.2 /lib64/libRDGeometryLib.so.1
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libMMPA.so.1.2016.03.2 /lib64/libDataStructs.so.1
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libMMPA.so.1.2016.03.2 /lib64/libm.so.6
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libDataStructs.so.1.2016.03.2 /lib64/libboost_thread.so.1.60.0
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libDataStructs.so.1.2016.03.2 /lib64/libboost_system.so.1.60.0
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libDataStructs.so.1.2016.03.2 /lib64/libpthread.so.0
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libForceFieldHelpers.so.1.2016.03.2 /lib64/libOptimizer.so.1
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libForceFieldHelpers.so.1.2016.03.2 /lib64/libDataStructs.so.1
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libForceFieldHelpers.so.1.2016.03.2 /lib64/libboost_thread.so.1.60.0
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libRDGeneral.so.1.2016.03.2 /lib64/libboost_system.so.1.60.0
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libRDGeneral.so.1.2016.03.2 /lib64/libpthread.so.0
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libRDBoost.so.1.2016.03.2 /lib64/libboost_thread.so.1.60.0
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libRDBoost.so.1.2016.03.2 /lib64/libboost_system.so.1.60.0
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libRDBoost.so.1.2016.03.2 /lib64/libboost_chrono.so.1.60.0
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libRDBoost.so.1.2016.03.2 /lib64/libboost_date_time.so.1.60.0
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libRDBoost.so.1.2016.03.2 /lib64/libboost_atomic.so.1.60.0
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libRDBoost.so.1.2016.03.2 /lib64/libboost_serialization.so.1.60.0
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libRDBoost.so.1.2016.03.2 /lib64/libpthread.so.0
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libRDBoost.so.1.2016.03.2 /lib64/libm.so.6
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libFileParsers.so.1.2016.03.2 /lib64/libDataStructs.so.1
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libFileParsers.so.1.2016.03.2 /lib64/libboost_thread.so.1.60.0
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libFileParsers.so.1.2016.03.2 /lib64/libpthread.so.0
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libInfoTheory.so.1.2016.03.2 /lib64/libboost_thread.so.1.60.0
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libInfoTheory.so.1.2016.03.2 /lib64/libboost_system.so.1.60.0
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libInfoTheory.so.1.2016.03.2 /lib64/libpthread.so.0
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libChemTransforms.so.1.2016.03.2 /lib64/libboost_thread.so.1.60.0
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libChemTransforms.so.1.2016.03.2 /lib64/libDataStructs.so.1
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libEigenSolvers.so.1.2016.03.2 /lib64/libboost_thread.so.1.60.0
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libEigenSolvers.so.1.2016.03.2 /lib64/libboost_system.so.1.60.0
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libEigenSolvers.so.1.2016.03.2 /lib64/libpthread.so.0
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libDepictor.so.1.2016.03.2 /lib64/libDataStructs.so.1
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libDepictor.so.1.2016.03.2 /lib64/libboost_thread.so.1.60.0
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libDepictor.so.1.2016.03.2 /lib64/libboost_system.so.1.60.0
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libDepictor.so.1.2016.03.2 /lib64/libpthread.so.0
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libRDGeometryLib.so.1.2016.03.2 /lib64/libboost_thread.so.1.60.0
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libRDGeometryLib.so.1.2016.03.2 /lib64/libboost_system.so.1.60.0
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libRDGeometryLib.so.1.2016.03.2 /lib64/libpthread.so.0
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libDescriptors.so.1.2016.03.2 /lib64/libFileParsers.so.1
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libDescriptors.so.1.2016.03.2 /lib64/libboost_thread.so.1.60.0
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libDescriptors.so.1.2016.03.2 /lib64/libRDGeometryLib.so.1
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libDescriptors.so.1.2016.03.2 /lib64/libDataStructs.so.1
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libGraphMol.so.1.2016.03.2 /lib64/libDataStructs.so.1
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libSubgraphs.so.1.2016.03.2 /lib64/libRDGeometryLib.so.1
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libSubgraphs.so.1.2016.03.2 /lib64/libDataStructs.so.1
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libSubgraphs.so.1.2016.03.2 /lib64/libboost_thread.so.1.60.0
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libSubgraphs.so.1.2016.03.2 /lib64/libpthread.so.0
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libMolCatalog.so.1.2016.03.2 /lib64/libRDGeometryLib.so.1
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libMolCatalog.so.1.2016.03.2 /lib64/libDataStructs.so.1
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libMolCatalog.so.1.2016.03.2 /lib64/libboost_thread.so.1.60.0
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libMolCatalog.so.1.2016.03.2 /lib64/libpthread.so.0
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libMolCatalog.so.1.2016.03.2 /lib64/libm.so.6
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libSLNParse.so.1.2016.03.2 /lib64/libRDGeometryLib.so.1
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libSLNParse.so.1.2016.03.2 /lib64/libDataStructs.so.1
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libSLNParse.so.1.2016.03.2 /lib64/libboost_thread.so.1.60.0
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libSLNParse.so.1.2016.03.2 /lib64/libm.so.6
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libSmilesParse.so.1.2016.03.2 /lib64/libRDGeometryLib.so.1
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libSmilesParse.so.1.2016.03.2 /lib64/libDataStructs.so.1
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libSmilesParse.so.1.2016.03.2 /lib64/libboost_thread.so.1.60.0
rdkit.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libSmilesParse.so.1.2016.03.2 /lib64/libm.so.6
rdkit-devel.x86_64: W: only-non-binary-in-usr-lib
rdkit-devel.x86_64: W: no-documentation
python3-rdkit.x86_64: W: no-documentation
python3-rdkit.x86_64: E: wrong-script-interpreter /usr/lib64/python3.5/site-packages/rdkit/Chem/fmcs/fmcs /usr/bin/env python
rdkit-postgresql.x86_64: W: spelling-error %description -l en_US mol -> mewl, mil, mo
rdkit-postgresql.x86_64: W: spelling-error %description -l en_US fp -> pf, f, p
rdkit-postgresql.x86_64: W: spelling-error %description -l en_US tanimoto -> animator
rdkit-postgresql.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/pgsql/rdkit.so ['lib64', '/builddir/build/BUILD/rdkit-Release_2016_03_2/python2/lib']
rdkit-postgresql.x86_64: E: script-without-shebang /usr/share/pgsql/extension/rdkit--3.4.sql
rdkit-postgresql.x86_64: E: script-without-shebang /usr/share/pgsql/extension/rdkit.control
7 packages and 0 specfiles checked; 5 errors, 188 warnings.



Requires
--------
rdkit-debuginfo (rpmlib, GLIBC filtered):

python2-rdkit (rpmlib, GLIBC filtered):
    /usr/bin/env
    /usr/bin/python2
    libAlignment.so.1()(64bit)
    libCatalogs.so.1()(64bit)
    libChemReactions.so.1()(64bit)
    libChemTransforms.so.1()(64bit)
    libChemicalFeatures.so.1()(64bit)
    libDataStructs.so.1()(64bit)
    libDepictor.so.1()(64bit)
    libDescriptors.so.1()(64bit)
    libDistGeomHelpers.so.1()(64bit)
    libDistGeometry.so.1()(64bit)
    libEigenSolvers.so.1()(64bit)
    libFMCS.so.1()(64bit)
    libFileParsers.so.1()(64bit)
    libFilterCatalog.so.1()(64bit)
    libFingerprints.so.1()(64bit)
    libForceField.so.1()(64bit)
    libForceFieldHelpers.so.1()(64bit)
    libFragCatalog.so.1()(64bit)
    libGraphMol.so.1()(64bit)
    libInfoTheory.so.1()(64bit)
    libMMPA.so.1()(64bit)
    libMolAlign.so.1()(64bit)
    libMolCatalog.so.1()(64bit)
    libMolChemicalFeatures.so.1()(64bit)
    libMolDraw2D.so.1()(64bit)
    libMolHash.so.1()(64bit)
    libMolTransforms.so.1()(64bit)
    libOptimizer.so.1()(64bit)
    libPartialCharges.so.1()(64bit)
    libRDBoost.so.1()(64bit)
    libRDGeneral.so.1()(64bit)
    libRDGeometryLib.so.1()(64bit)
    libRDInchiLib.so.1()(64bit)
    libReducedGraphs.so.1()(64bit)
    libSLNParse.so.1()(64bit)
    libShapeHelpers.so.1()(64bit)
    libSimDivPickers.so.1()(64bit)
    libSmilesParse.so.1()(64bit)
    libSubgraphs.so.1()(64bit)
    libSubstructMatch.so.1()(64bit)
    libboost_atomic.so.1.60.0()(64bit)
    libboost_chrono.so.1.60.0()(64bit)
    libboost_date_time.so.1.60.0()(64bit)
    libboost_python.so.1.60.0()(64bit)
    libboost_regex.so.1.60.0()(64bit)
    libboost_serialization.so.1.60.0()(64bit)
    libboost_system.so.1.60.0()(64bit)
    libboost_thread.so.1.60.0()(64bit)
    libc.so.6()(64bit)
    libcairo.so.2()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libhc.so.1()(64bit)
    libinchi.so.1()(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libpython2.7.so.1.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.1)(64bit)
    libstdc++.so.6(CXXABI_1.3.8)(64bit)
    libstdc++.so.6(CXXABI_1.3.9)(64bit)
    numpy
    pycairo
    python(abi)
    python-pillow
    rdkit(x86-64)
    rtld(GNU_HASH)
    xorg-x11-fonts-Type1

rdkit (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libAlignment.so.1()(64bit)
    libCatalogs.so.1()(64bit)
    libChemTransforms.so.1()(64bit)
    libDataStructs.so.1()(64bit)
    libDepictor.so.1()(64bit)
    libDescriptors.so.1()(64bit)
    libDistGeometry.so.1()(64bit)
    libEigenSolvers.so.1()(64bit)
    libFileParsers.so.1()(64bit)
    libFingerprints.so.1()(64bit)
    libForceField.so.1()(64bit)
    libForceFieldHelpers.so.1()(64bit)
    libGraphMol.so.1()(64bit)
    libMolTransforms.so.1()(64bit)
    libOptimizer.so.1()(64bit)
    libPartialCharges.so.1()(64bit)
    libRDGeneral.so.1()(64bit)
    libRDGeometryLib.so.1()(64bit)
    libSmilesParse.so.1()(64bit)
    libSubgraphs.so.1()(64bit)
    libSubstructMatch.so.1()(64bit)
    libboost_atomic.so.1.60.0()(64bit)
    libboost_chrono.so.1.60.0()(64bit)
    libboost_date_time.so.1.60.0()(64bit)
    libboost_python3.so.1.60.0()(64bit)
    libboost_regex.so.1.60.0()(64bit)
    libboost_serialization.so.1.60.0()(64bit)
    libboost_system.so.1.60.0()(64bit)
    libboost_thread.so.1.60.0()(64bit)
    libc.so.6()(64bit)
    libcairo.so.2()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libhc.so.1()(64bit)
    libinchi.so.1()(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libpython3.5m.so.1.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.1)(64bit)
    libstdc++.so.6(CXXABI_1.3.8)(64bit)
    libstdc++.so.6(CXXABI_1.3.9)(64bit)
    rtld(GNU_HASH)

rdkit-devel (rpmlib, GLIBC filtered):
    boost-devel(x86-64)
    libAlignment.so.1()(64bit)
    libCatalogs.so.1()(64bit)
    libChemReactions.so.1()(64bit)
    libChemTransforms.so.1()(64bit)
    libChemicalFeatures.so.1()(64bit)
    libDataStructs.so.1()(64bit)
    libDepictor.so.1()(64bit)
    libDescriptors.so.1()(64bit)
    libDistGeomHelpers.so.1()(64bit)
    libDistGeometry.so.1()(64bit)
    libEigenSolvers.so.1()(64bit)
    libFMCS.so.1()(64bit)
    libFileParsers.so.1()(64bit)
    libFilterCatalog.so.1()(64bit)
    libFingerprints.so.1()(64bit)
    libForceField.so.1()(64bit)
    libForceFieldHelpers.so.1()(64bit)
    libFragCatalog.so.1()(64bit)
    libGraphMol.so.1()(64bit)
    libInfoTheory.so.1()(64bit)
    libMMPA.so.1()(64bit)
    libMolAlign.so.1()(64bit)
    libMolCatalog.so.1()(64bit)
    libMolChemicalFeatures.so.1()(64bit)
    libMolDraw2D.so.1()(64bit)
    libMolHash.so.1()(64bit)
    libMolTransforms.so.1()(64bit)
    libOptimizer.so.1()(64bit)
    libPartialCharges.so.1()(64bit)
    libRDBoost.so.1()(64bit)
    libRDGeneral.so.1()(64bit)
    libRDGeometryLib.so.1()(64bit)
    libRDInchiLib.so.1()(64bit)
    libReducedGraphs.so.1()(64bit)
    libSLNParse.so.1()(64bit)
    libShapeHelpers.so.1()(64bit)
    libSimDivPickers.so.1()(64bit)
    libSmilesParse.so.1()(64bit)
    libSubgraphs.so.1()(64bit)
    libSubstructMatch.so.1()(64bit)
    libhc.so.1()(64bit)
    rdkit(x86-64)

python3-rdkit (rpmlib, GLIBC filtered):
    /usr/bin/env
    /usr/bin/python3
    libAlignment.so.1()(64bit)
    libCatalogs.so.1()(64bit)
    libChemReactions.so.1()(64bit)
    libChemTransforms.so.1()(64bit)
    libChemicalFeatures.so.1()(64bit)
    libDataStructs.so.1()(64bit)
    libDepictor.so.1()(64bit)
    libDescriptors.so.1()(64bit)
    libDistGeomHelpers.so.1()(64bit)
    libDistGeometry.so.1()(64bit)
    libEigenSolvers.so.1()(64bit)
    libFMCS.so.1()(64bit)
    libFileParsers.so.1()(64bit)
    libFilterCatalog.so.1()(64bit)
    libFingerprints.so.1()(64bit)
    libForceField.so.1()(64bit)
    libForceFieldHelpers.so.1()(64bit)
    libFragCatalog.so.1()(64bit)
    libGraphMol.so.1()(64bit)
    libInfoTheory.so.1()(64bit)
    libMMPA.so.1()(64bit)
    libMolAlign.so.1()(64bit)
    libMolCatalog.so.1()(64bit)
    libMolChemicalFeatures.so.1()(64bit)
    libMolDraw2D.so.1()(64bit)
    libMolHash.so.1()(64bit)
    libMolTransforms.so.1()(64bit)
    libOptimizer.so.1()(64bit)
    libPartialCharges.so.1()(64bit)
    libRDBoost.so.1()(64bit)
    libRDGeneral.so.1()(64bit)
    libRDGeometryLib.so.1()(64bit)
    libRDInchiLib.so.1()(64bit)
    libReducedGraphs.so.1()(64bit)
    libSLNParse.so.1()(64bit)
    libShapeHelpers.so.1()(64bit)
    libSimDivPickers.so.1()(64bit)
    libSmilesParse.so.1()(64bit)
    libSubgraphs.so.1()(64bit)
    libSubstructMatch.so.1()(64bit)
    libboost_atomic.so.1.60.0()(64bit)
    libboost_chrono.so.1.60.0()(64bit)
    libboost_date_time.so.1.60.0()(64bit)
    libboost_python3.so.1.60.0()(64bit)
    libboost_regex.so.1.60.0()(64bit)
    libboost_serialization.so.1.60.0()(64bit)
    libboost_system.so.1.60.0()(64bit)
    libboost_thread.so.1.60.0()(64bit)
    libc.so.6()(64bit)
    libcairo.so.2()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libhc.so.1()(64bit)
    libinchi.so.1()(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libpython3.5m.so.1.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.1)(64bit)
    libstdc++.so.6(CXXABI_1.3.8)(64bit)
    libstdc++.so.6(CXXABI_1.3.9)(64bit)
    python(abi)
    python3-cairocffi
    python3-numpy
    python3-pillow
    rdkit(x86-64)
    rtld(GNU_HASH)
    xorg-x11-fonts-Type1

rdkit-postgresql (rpmlib, GLIBC filtered):
    libChemReactions.so.1()(64bit)
    libChemTransforms.so.1()(64bit)
    libDataStructs.so.1()(64bit)
    libDepictor.so.1()(64bit)
    libDescriptors.so.1()(64bit)
    libFMCS.so.1()(64bit)
    libFileParsers.so.1()(64bit)
    libFingerprints.so.1()(64bit)
    libGraphMol.so.1()(64bit)
    libMolHash.so.1()(64bit)
    libPartialCharges.so.1()(64bit)
    libRDGeneral.so.1()(64bit)
    libRDGeometryLib.so.1()(64bit)
    libRDInchiLib.so.1()(64bit)
    libSmilesParse.so.1()(64bit)
    libSubgraphs.so.1()(64bit)
    libSubstructMatch.so.1()(64bit)
    libboost_system.so.1.60.0()(64bit)
    libboost_thread.so.1.60.0()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libinchi.so.1()(64bit)
    libm.so.6()(64bit)
    libpq.so.5()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.9)(64bit)
    postgresql-server
    rdkit(x86-64)
    rtld(GNU_HASH)

rdkit-doc (rpmlib, GLIBC filtered):
    rdkit



Provides
--------
rdkit-debuginfo:
    rdkit-debuginfo
    rdkit-debuginfo(x86-64)

python2-rdkit:
    python-rdkit
    python2-rdkit
    python2-rdkit(x86-64)

rdkit:
    libAlignment.so.1()(64bit)
    libCatalogs.so.1()(64bit)
    libChemReactions.so.1()(64bit)
    libChemTransforms.so.1()(64bit)
    libChemicalFeatures.so.1()(64bit)
    libDataStructs.so.1()(64bit)
    libDepictor.so.1()(64bit)
    libDescriptors.so.1()(64bit)
    libDistGeomHelpers.so.1()(64bit)
    libDistGeometry.so.1()(64bit)
    libEigenSolvers.so.1()(64bit)
    libFMCS.so.1()(64bit)
    libFileParsers.so.1()(64bit)
    libFilterCatalog.so.1()(64bit)
    libFingerprints.so.1()(64bit)
    libForceField.so.1()(64bit)
    libForceFieldHelpers.so.1()(64bit)
    libFragCatalog.so.1()(64bit)
    libGraphMol.so.1()(64bit)
    libInfoTheory.so.1()(64bit)
    libMMPA.so.1()(64bit)
    libMolAlign.so.1()(64bit)
    libMolCatalog.so.1()(64bit)
    libMolChemicalFeatures.so.1()(64bit)
    libMolDraw2D.so.1()(64bit)
    libMolHash.so.1()(64bit)
    libMolTransforms.so.1()(64bit)
    libOptimizer.so.1()(64bit)
    libPartialCharges.so.1()(64bit)
    libRDBoost.so.1()(64bit)
    libRDGeneral.so.1()(64bit)
    libRDGeometryLib.so.1()(64bit)
    libRDInchiLib.so.1()(64bit)
    libReducedGraphs.so.1()(64bit)
    libSLNParse.so.1()(64bit)
    libShapeHelpers.so.1()(64bit)
    libSimDivPickers.so.1()(64bit)
    libSmilesParse.so.1()(64bit)
    libSubgraphs.so.1()(64bit)
    libSubstructMatch.so.1()(64bit)
    libhc.so.1()(64bit)
    rdkit
    rdkit(x86-64)

rdkit-devel:
    rdkit-devel
    rdkit-devel(x86-64)

python3-rdkit:
    python3-rdkit
    python3-rdkit(x86-64)

rdkit-postgresql:
    librdkit.so()(64bit)
    rdkit-postgresql
    rdkit-postgresql(x86-64)

rdkit-doc:
    rdkit-doc



Unversioned so-files
--------------------
python2-rdkit: /usr/lib64/python2.7/site-packages/rdkit/Chem/Draw/rdMolDraw2D.so
python2-rdkit: /usr/lib64/python2.7/site-packages/rdkit/Chem/rdChemReactions.so
python2-rdkit: /usr/lib64/python2.7/site-packages/rdkit/Chem/rdChemicalFeatures.so
python2-rdkit: /usr/lib64/python2.7/site-packages/rdkit/Chem/rdDepictor.so
python2-rdkit: /usr/lib64/python2.7/site-packages/rdkit/Chem/rdDistGeom.so
python2-rdkit: /usr/lib64/python2.7/site-packages/rdkit/Chem/rdFMCS.so
python2-rdkit: /usr/lib64/python2.7/site-packages/rdkit/Chem/rdForceFieldHelpers.so
python2-rdkit: /usr/lib64/python2.7/site-packages/rdkit/Chem/rdMMPA.so
python2-rdkit: /usr/lib64/python2.7/site-packages/rdkit/Chem/rdMolAlign.so
python2-rdkit: /usr/lib64/python2.7/site-packages/rdkit/Chem/rdMolCatalog.so
python2-rdkit: /usr/lib64/python2.7/site-packages/rdkit/Chem/rdMolChemicalFeatures.so
python2-rdkit: /usr/lib64/python2.7/site-packages/rdkit/Chem/rdMolDescriptors.so
python2-rdkit: /usr/lib64/python2.7/site-packages/rdkit/Chem/rdMolHash.so
python2-rdkit: /usr/lib64/python2.7/site-packages/rdkit/Chem/rdMolTransforms.so
python2-rdkit: /usr/lib64/python2.7/site-packages/rdkit/Chem/rdPartialCharges.so
python2-rdkit: /usr/lib64/python2.7/site-packages/rdkit/Chem/rdReducedGraphs.so
python2-rdkit: /usr/lib64/python2.7/site-packages/rdkit/Chem/rdSLNParse.so
python2-rdkit: /usr/lib64/python2.7/site-packages/rdkit/Chem/rdShapeHelpers.so
python2-rdkit: /usr/lib64/python2.7/site-packages/rdkit/Chem/rdchem.so
python2-rdkit: /usr/lib64/python2.7/site-packages/rdkit/Chem/rdfiltercatalog.so
python2-rdkit: /usr/lib64/python2.7/site-packages/rdkit/Chem/rdfragcatalog.so
python2-rdkit: /usr/lib64/python2.7/site-packages/rdkit/Chem/rdinchi.so
python2-rdkit: /usr/lib64/python2.7/site-packages/rdkit/Chem/rdmolfiles.so
python2-rdkit: /usr/lib64/python2.7/site-packages/rdkit/Chem/rdmolops.so
python2-rdkit: /usr/lib64/python2.7/site-packages/rdkit/Chem/rdqueries.so
python2-rdkit: /usr/lib64/python2.7/site-packages/rdkit/DataManip/Metric/rdMetricMatrixCalc.so
python2-rdkit: /usr/lib64/python2.7/site-packages/rdkit/DataStructs/cDataStructs.so
python2-rdkit: /usr/lib64/python2.7/site-packages/rdkit/DistanceGeometry/DistGeom.so
python2-rdkit: /usr/lib64/python2.7/site-packages/rdkit/ForceField/rdForceField.so
python2-rdkit: /usr/lib64/python2.7/site-packages/rdkit/Geometry/rdGeometry.so
python2-rdkit: /usr/lib64/python2.7/site-packages/rdkit/ML/Cluster/Clustering.so
python2-rdkit: /usr/lib64/python2.7/site-packages/rdkit/ML/Data/cQuantize.so
python2-rdkit: /usr/lib64/python2.7/site-packages/rdkit/ML/InfoTheory/rdInfoTheory.so
python2-rdkit: /usr/lib64/python2.7/site-packages/rdkit/Numerics/rdAlignment.so
python2-rdkit: /usr/lib64/python2.7/site-packages/rdkit/SimDivFilters/rdSimDivPickers.so
python2-rdkit: /usr/lib64/python2.7/site-packages/rdkit/rdBase.so
python3-rdkit: /usr/lib64/python3.5/site-packages/rdkit/Chem/Draw/rdMolDraw2D.so
python3-rdkit: /usr/lib64/python3.5/site-packages/rdkit/Chem/rdChemReactions.so
python3-rdkit: /usr/lib64/python3.5/site-packages/rdkit/Chem/rdChemicalFeatures.so
python3-rdkit: /usr/lib64/python3.5/site-packages/rdkit/Chem/rdDepictor.so
python3-rdkit: /usr/lib64/python3.5/site-packages/rdkit/Chem/rdDistGeom.so
python3-rdkit: /usr/lib64/python3.5/site-packages/rdkit/Chem/rdFMCS.so
python3-rdkit: /usr/lib64/python3.5/site-packages/rdkit/Chem/rdForceFieldHelpers.so
python3-rdkit: /usr/lib64/python3.5/site-packages/rdkit/Chem/rdMMPA.so
python3-rdkit: /usr/lib64/python3.5/site-packages/rdkit/Chem/rdMolAlign.so
python3-rdkit: /usr/lib64/python3.5/site-packages/rdkit/Chem/rdMolCatalog.so
python3-rdkit: /usr/lib64/python3.5/site-packages/rdkit/Chem/rdMolChemicalFeatures.so
python3-rdkit: /usr/lib64/python3.5/site-packages/rdkit/Chem/rdMolDescriptors.so
python3-rdkit: /usr/lib64/python3.5/site-packages/rdkit/Chem/rdMolHash.so
python3-rdkit: /usr/lib64/python3.5/site-packages/rdkit/Chem/rdMolTransforms.so
python3-rdkit: /usr/lib64/python3.5/site-packages/rdkit/Chem/rdPartialCharges.so
python3-rdkit: /usr/lib64/python3.5/site-packages/rdkit/Chem/rdReducedGraphs.so
python3-rdkit: /usr/lib64/python3.5/site-packages/rdkit/Chem/rdSLNParse.so
python3-rdkit: /usr/lib64/python3.5/site-packages/rdkit/Chem/rdShapeHelpers.so
python3-rdkit: /usr/lib64/python3.5/site-packages/rdkit/Chem/rdchem.so
python3-rdkit: /usr/lib64/python3.5/site-packages/rdkit/Chem/rdfiltercatalog.so
python3-rdkit: /usr/lib64/python3.5/site-packages/rdkit/Chem/rdfragcatalog.so
python3-rdkit: /usr/lib64/python3.5/site-packages/rdkit/Chem/rdinchi.so
python3-rdkit: /usr/lib64/python3.5/site-packages/rdkit/Chem/rdmolfiles.so
python3-rdkit: /usr/lib64/python3.5/site-packages/rdkit/Chem/rdmolops.so
python3-rdkit: /usr/lib64/python3.5/site-packages/rdkit/Chem/rdqueries.so
python3-rdkit: /usr/lib64/python3.5/site-packages/rdkit/DataManip/Metric/rdMetricMatrixCalc.so
python3-rdkit: /usr/lib64/python3.5/site-packages/rdkit/DataStructs/cDataStructs.so
python3-rdkit: /usr/lib64/python3.5/site-packages/rdkit/DistanceGeometry/DistGeom.so
python3-rdkit: /usr/lib64/python3.5/site-packages/rdkit/ForceField/rdForceField.so
python3-rdkit: /usr/lib64/python3.5/site-packages/rdkit/Geometry/rdGeometry.so
python3-rdkit: /usr/lib64/python3.5/site-packages/rdkit/ML/Cluster/Clustering.so
python3-rdkit: /usr/lib64/python3.5/site-packages/rdkit/ML/Data/cQuantize.so
python3-rdkit: /usr/lib64/python3.5/site-packages/rdkit/ML/InfoTheory/rdInfoTheory.so
python3-rdkit: /usr/lib64/python3.5/site-packages/rdkit/Numerics/rdAlignment.so
python3-rdkit: /usr/lib64/python3.5/site-packages/rdkit/SimDivFilters/rdSimDivPickers.so
python3-rdkit: /usr/lib64/python3.5/site-packages/rdkit/rdBase.so
rdkit-postgresql: /usr/lib64/pgsql/rdkit.so

Source checksums
----------------
https://github.com/rdkit/rdkit/archive/Release_2016_03_2.tar.gz :
  CHECKSUM(SHA256) this package     : f9531c9a03da3c446ad53cc56cf2d4762bf81088dd69fe07bdd41bbd87221ca3
  CHECKSUM(SHA256) upstream package : f9531c9a03da3c446ad53cc56cf2d4762bf81088dd69fe07bdd41bbd87221ca3


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -rn rdkit-2016.03.2-4.fc24.src.rpm
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api, C/C++
Disabled plugins: Java, SugarActivity, fonts, Haskell, Ocaml, Perl, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 68 Gianluca Sforna 2016-08-19 04:47:42 EDT
Another iteration at:
https://giallu.fedorapeople.org/rdkit.spec
https://giallu.fedorapeople.org/rdkit-2016.03.2-5.fc23.src.rpm

I fixed the rpath for the cartridge and the removed the fmcs script as suggested in comment #66, the wrong-script-interpreter is also fixed for fcms.py

The "unused-direct-shlib-dependency" rpmlint issues seems to be rawhide specific, as my F24 mock build does not exhibit the same behavior. I will need to investigate where this come from, please let me know if you consider this blocking for the review.
Comment 69 Paul Emsley 2016-08-19 06:40:33 EDT
(In reply to Gianluca Sforna from comment #68)
> Another iteration at:
> https://giallu.fedorapeople.org/rdkit.spec
> https://giallu.fedorapeople.org/rdkit-2016.03.2-5.fc23.src.rpm
> 
> The "unused-direct-shlib-dependency" rpmlint issues seems to be rawhide
> specific, as my F24 mock build does not exhibit the same behavior. 

That's curious. Perhaps add to your CMakeLists.txt:

set (CMAKE_SHARED_LINKER_FLAGS "-Wl,--as-needed")
Comment 70 Gianluca Sforna 2016-08-19 09:00:57 EDT
I used the suggestion from 
https://fedoraproject.org/wiki/Common_Rpmlint_issues#unused-direct-shlib-dependency

and added the linker flag in:
> https://giallu.fedorapeople.org/rdkit.spec
> https://giallu.fedorapeople.org/rdkit-2016.03.2-6.fc23.src.rpm

Antonio, please test it and let me know if it works
Comment 71 Rex Dieter 2016-08-19 11:46:27 EDT
A strong and not-so-humble suggestion (for reviewer and non-reviewer commenters mostly): please focus on strict review blockers (those documented in package review guidelines.  One specific item: rpmlint warnings are not blockers

Polish and nice-to-have stuff can certainly be added later (which is more easily done with better collaboration after package is imported).
Comment 72 Antonio Trande 2016-08-20 11:44:12 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

- These are commands for Python3 builds but are not conditionalized

*************************
cp -a python2 python3
find python3 -name '*.py' | xargs sed -i '1s|^#!.*|#!%{__python3}|'
find python2 -name '*.py' | xargs sed -i '1s|^#!.*|#!%{__python2}|'

# fix tests scripts for python3 runtime
find python3 -name 'test_list.py' | xargs sed -i 's/"python"/"python3"/g'
sed -i.orig 's/python/python3/g' python3/Projects/DbCLI/TestDbCLI.py
*************************

- Fix this typo

        -D PYTHON_EXECUTABLE:FILEPATH=%{__python3} \
%ifarch {%arm}    <----
        -D RDK_OPTIMIZE_NATIVE:BOOL=OFF \

- This package can't be built on epel7-pcc64le because of missing
  'pandoc' package.

- epel6: "cc1plus: error: unrecognized command line option "-mpopcnt""


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "MIT/X11 (BSD like)", "BSL (v1.0)",
     "BSL", "BSD (3 clause)", "BSD (2 clause)". 2251 files have unknown
     license. Detailed output of licensecheck in
     /home/sagitter/rpmbuild/SRPMS/rdkit/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib64/cmake
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 153600 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[?]: Avoid bundling fonts in non-fonts packages.
     Note: Package contains font files

I don't see where is this font file.

[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in rdkit-
     doc , rdkit-debuginfo
[ ]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[!]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.


Rpmlint
-------
Checking: rdkit-2016.03.2-6.fc26.x86_64.rpm
          rdkit-devel-2016.03.2-6.fc26.x86_64.rpm
          rdkit-doc-2016.03.2-6.fc26.noarch.rpm
          python2-rdkit-2016.03.2-6.fc26.x86_64.rpm
          python3-rdkit-2016.03.2-6.fc26.x86_64.rpm
          rdkit-postgresql-2016.03.2-6.fc26.x86_64.rpm
          rdkit-debuginfo-2016.03.2-6.fc26.x86_64.rpm
          rdkit-2016.03.2-6.fc26.src.rpm
rdkit.x86_64: W: spelling-error Summary(en_US) informatics -> information, informative, informants
rdkit.x86_64: W: spelling-error %description -l en_US informatics -> information, informative, informants
rdkit-devel.x86_64: W: only-non-binary-in-usr-lib
rdkit-devel.x86_64: W: no-documentation
python2-rdkit.x86_64: W: no-documentation
python3-rdkit.x86_64: W: no-documentation
rdkit-postgresql.x86_64: W: spelling-error %description -l en_US mol -> mewl, mil, mo
rdkit-postgresql.x86_64: W: spelling-error %description -l en_US fp -> pf, f, p
rdkit-postgresql.x86_64: W: spelling-error %description -l en_US tanimoto -> animator
rdkit-postgresql.x86_64: E: script-without-shebang /usr/share/pgsql/extension/rdkit.control
rdkit-postgresql.x86_64: E: script-without-shebang /usr/share/pgsql/extension/rdkit--3.4.sql
rdkit.src: W: spelling-error Summary(en_US) informatics -> information, informative, informants
rdkit.src: W: spelling-error %description -l en_US informatics -> information, informative, informants
8 packages and 0 specfiles checked; 2 errors, 11 warnings.




Rpmlint (debuginfo)
-------------------
Checking: rdkit-debuginfo-2016.03.2-6.fc26.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
python2-rdkit.x86_64: W: no-documentation
rdkit.x86_64: W: spelling-error Summary(en_US) informatics -> information, informative, informants
rdkit.x86_64: W: spelling-error %description -l en_US informatics -> information, informative, informants
rdkit-devel.x86_64: W: only-non-binary-in-usr-lib
rdkit-devel.x86_64: W: no-documentation
python3-rdkit.x86_64: W: no-documentation
rdkit-postgresql.x86_64: W: spelling-error %description -l en_US mol -> mewl, mil, mo
rdkit-postgresql.x86_64: W: spelling-error %description -l en_US fp -> pf, f, p
rdkit-postgresql.x86_64: W: spelling-error %description -l en_US tanimoto -> animator
rdkit-postgresql.x86_64: E: script-without-shebang /usr/share/pgsql/extension/rdkit--3.4.sql
rdkit-postgresql.x86_64: E: script-without-shebang /usr/share/pgsql/extension/rdkit.control
7 packages and 0 specfiles checked; 2 errors, 9 warnings.



Requires
--------
rdkit-debuginfo (rpmlib, GLIBC filtered):

python2-rdkit (rpmlib, GLIBC filtered):
    libAlignment.so.1()(64bit)
    libCatalogs.so.1()(64bit)
    libChemReactions.so.1()(64bit)
    libChemTransforms.so.1()(64bit)
    libChemicalFeatures.so.1()(64bit)
    libDataStructs.so.1()(64bit)
    libDepictor.so.1()(64bit)
    libDescriptors.so.1()(64bit)
    libDistGeomHelpers.so.1()(64bit)
    libDistGeometry.so.1()(64bit)
    libFMCS.so.1()(64bit)
    libFileParsers.so.1()(64bit)
    libFilterCatalog.so.1()(64bit)
    libFingerprints.so.1()(64bit)
    libForceField.so.1()(64bit)
    libForceFieldHelpers.so.1()(64bit)
    libFragCatalog.so.1()(64bit)
    libGraphMol.so.1()(64bit)
    libInfoTheory.so.1()(64bit)
    libMMPA.so.1()(64bit)
    libMolAlign.so.1()(64bit)
    libMolCatalog.so.1()(64bit)
    libMolChemicalFeatures.so.1()(64bit)
    libMolDraw2D.so.1()(64bit)
    libMolHash.so.1()(64bit)
    libMolTransforms.so.1()(64bit)
    libPartialCharges.so.1()(64bit)
    libRDBoost.so.1()(64bit)
    libRDGeneral.so.1()(64bit)
    libRDGeometryLib.so.1()(64bit)
    libRDInchiLib.so.1()(64bit)
    libReducedGraphs.so.1()(64bit)
    libSLNParse.so.1()(64bit)
    libShapeHelpers.so.1()(64bit)
    libSimDivPickers.so.1()(64bit)
    libSmilesParse.so.1()(64bit)
    libSubgraphs.so.1()(64bit)
    libSubstructMatch.so.1()(64bit)
    libboost_python.so.1.60.0()(64bit)
    libboost_system.so.1.60.0()(64bit)
    libboost_thread.so.1.60.0()(64bit)
    libc.so.6()(64bit)
    libcairo.so.2()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libhc.so.1()(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libpython2.7.so.1.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.1)(64bit)
    libstdc++.so.6(CXXABI_1.3.8)(64bit)
    libstdc++.so.6(CXXABI_1.3.9)(64bit)
    numpy
    pycairo
    python(abi)
    python-pillow
    rdkit(x86-64)
    rtld(GNU_HASH)
    xorg-x11-fonts-Type1

rdkit (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libAlignment.so.1()(64bit)
    libCatalogs.so.1()(64bit)
    libChemTransforms.so.1()(64bit)
    libDataStructs.so.1()(64bit)
    libDepictor.so.1()(64bit)
    libDescriptors.so.1()(64bit)
    libDistGeometry.so.1()(64bit)
    libEigenSolvers.so.1()(64bit)
    libFileParsers.so.1()(64bit)
    libFingerprints.so.1()(64bit)
    libForceField.so.1()(64bit)
    libForceFieldHelpers.so.1()(64bit)
    libGraphMol.so.1()(64bit)
    libMolTransforms.so.1()(64bit)
    libPartialCharges.so.1()(64bit)
    libRDGeneral.so.1()(64bit)
    libRDGeometryLib.so.1()(64bit)
    libSmilesParse.so.1()(64bit)
    libSubgraphs.so.1()(64bit)
    libSubstructMatch.so.1()(64bit)
    libboost_python3.so.1.60.0()(64bit)
    libboost_regex.so.1.60.0()(64bit)
    libboost_serialization.so.1.60.0()(64bit)
    libboost_system.so.1.60.0()(64bit)
    libboost_thread.so.1.60.0()(64bit)
    libc.so.6()(64bit)
    libcairo.so.2()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libhc.so.1()(64bit)
    libinchi.so.1()(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libpython3.5m.so.1.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.1)(64bit)
    libstdc++.so.6(CXXABI_1.3.8)(64bit)
    libstdc++.so.6(CXXABI_1.3.9)(64bit)
    rtld(GNU_HASH)

rdkit-devel (rpmlib, GLIBC filtered):
    boost-devel(x86-64)
    libAlignment.so.1()(64bit)
    libCatalogs.so.1()(64bit)
    libChemReactions.so.1()(64bit)
    libChemTransforms.so.1()(64bit)
    libChemicalFeatures.so.1()(64bit)
    libDataStructs.so.1()(64bit)
    libDepictor.so.1()(64bit)
    libDescriptors.so.1()(64bit)
    libDistGeomHelpers.so.1()(64bit)
    libDistGeometry.so.1()(64bit)
    libEigenSolvers.so.1()(64bit)
    libFMCS.so.1()(64bit)
    libFileParsers.so.1()(64bit)
    libFilterCatalog.so.1()(64bit)
    libFingerprints.so.1()(64bit)
    libForceField.so.1()(64bit)
    libForceFieldHelpers.so.1()(64bit)
    libFragCatalog.so.1()(64bit)
    libGraphMol.so.1()(64bit)
    libInfoTheory.so.1()(64bit)
    libMMPA.so.1()(64bit)
    libMolAlign.so.1()(64bit)
    libMolCatalog.so.1()(64bit)
    libMolChemicalFeatures.so.1()(64bit)
    libMolDraw2D.so.1()(64bit)
    libMolHash.so.1()(64bit)
    libMolTransforms.so.1()(64bit)
    libOptimizer.so.1()(64bit)
    libPartialCharges.so.1()(64bit)
    libRDBoost.so.1()(64bit)
    libRDGeneral.so.1()(64bit)
    libRDGeometryLib.so.1()(64bit)
    libRDInchiLib.so.1()(64bit)
    libReducedGraphs.so.1()(64bit)
    libSLNParse.so.1()(64bit)
    libShapeHelpers.so.1()(64bit)
    libSimDivPickers.so.1()(64bit)
    libSmilesParse.so.1()(64bit)
    libSubgraphs.so.1()(64bit)
    libSubstructMatch.so.1()(64bit)
    libhc.so.1()(64bit)
    rdkit(x86-64)

python3-rdkit (rpmlib, GLIBC filtered):
    libAlignment.so.1()(64bit)
    libCatalogs.so.1()(64bit)
    libChemReactions.so.1()(64bit)
    libChemTransforms.so.1()(64bit)
    libChemicalFeatures.so.1()(64bit)
    libDataStructs.so.1()(64bit)
    libDepictor.so.1()(64bit)
    libDescriptors.so.1()(64bit)
    libDistGeomHelpers.so.1()(64bit)
    libDistGeometry.so.1()(64bit)
    libFMCS.so.1()(64bit)
    libFileParsers.so.1()(64bit)
    libFilterCatalog.so.1()(64bit)
    libFingerprints.so.1()(64bit)
    libForceField.so.1()(64bit)
    libForceFieldHelpers.so.1()(64bit)
    libFragCatalog.so.1()(64bit)
    libGraphMol.so.1()(64bit)
    libInfoTheory.so.1()(64bit)
    libMMPA.so.1()(64bit)
    libMolAlign.so.1()(64bit)
    libMolCatalog.so.1()(64bit)
    libMolChemicalFeatures.so.1()(64bit)
    libMolDraw2D.so.1()(64bit)
    libMolHash.so.1()(64bit)
    libMolTransforms.so.1()(64bit)
    libPartialCharges.so.1()(64bit)
    libRDBoost.so.1()(64bit)
    libRDGeneral.so.1()(64bit)
    libRDGeometryLib.so.1()(64bit)
    libRDInchiLib.so.1()(64bit)
    libReducedGraphs.so.1()(64bit)
    libSLNParse.so.1()(64bit)
    libShapeHelpers.so.1()(64bit)
    libSimDivPickers.so.1()(64bit)
    libSmilesParse.so.1()(64bit)
    libSubgraphs.so.1()(64bit)
    libSubstructMatch.so.1()(64bit)
    libboost_python3.so.1.60.0()(64bit)
    libboost_system.so.1.60.0()(64bit)
    libboost_thread.so.1.60.0()(64bit)
    libc.so.6()(64bit)
    libcairo.so.2()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libhc.so.1()(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libpython3.5m.so.1.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.1)(64bit)
    libstdc++.so.6(CXXABI_1.3.8)(64bit)
    libstdc++.so.6(CXXABI_1.3.9)(64bit)
    python(abi)
    python3-cairocffi
    python3-numpy
    python3-pillow
    rdkit(x86-64)
    rtld(GNU_HASH)
    xorg-x11-fonts-Type1

rdkit-postgresql (rpmlib, GLIBC filtered):
    libChemReactions.so.1()(64bit)
    libChemTransforms.so.1()(64bit)
    libDataStructs.so.1()(64bit)
    libDepictor.so.1()(64bit)
    libDescriptors.so.1()(64bit)
    libFMCS.so.1()(64bit)
    libFileParsers.so.1()(64bit)
    libFingerprints.so.1()(64bit)
    libGraphMol.so.1()(64bit)
    libMolHash.so.1()(64bit)
    libRDGeneral.so.1()(64bit)
    libRDInchiLib.so.1()(64bit)
    libSmilesParse.so.1()(64bit)
    libSubstructMatch.so.1()(64bit)
    libboost_system.so.1.60.0()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.9)(64bit)
    postgresql-server
    rdkit(x86-64)
    rtld(GNU_HASH)

rdkit-doc (rpmlib, GLIBC filtered):
    rdkit



Provides
--------
rdkit-debuginfo:
    rdkit-debuginfo
    rdkit-debuginfo(x86-64)

python2-rdkit:
    python-rdkit
    python2-rdkit
    python2-rdkit(x86-64)

rdkit:
    libAlignment.so.1()(64bit)
    libCatalogs.so.1()(64bit)
    libChemReactions.so.1()(64bit)
    libChemTransforms.so.1()(64bit)
    libChemicalFeatures.so.1()(64bit)
    libDataStructs.so.1()(64bit)
    libDepictor.so.1()(64bit)
    libDescriptors.so.1()(64bit)
    libDistGeomHelpers.so.1()(64bit)
    libDistGeometry.so.1()(64bit)
    libEigenSolvers.so.1()(64bit)
    libFMCS.so.1()(64bit)
    libFileParsers.so.1()(64bit)
    libFilterCatalog.so.1()(64bit)
    libFingerprints.so.1()(64bit)
    libForceField.so.1()(64bit)
    libForceFieldHelpers.so.1()(64bit)
    libFragCatalog.so.1()(64bit)
    libGraphMol.so.1()(64bit)
    libInfoTheory.so.1()(64bit)
    libMMPA.so.1()(64bit)
    libMolAlign.so.1()(64bit)
    libMolCatalog.so.1()(64bit)
    libMolChemicalFeatures.so.1()(64bit)
    libMolDraw2D.so.1()(64bit)
    libMolHash.so.1()(64bit)
    libMolTransforms.so.1()(64bit)
    libOptimizer.so.1()(64bit)
    libPartialCharges.so.1()(64bit)
    libRDBoost.so.1()(64bit)
    libRDGeneral.so.1()(64bit)
    libRDGeometryLib.so.1()(64bit)
    libRDInchiLib.so.1()(64bit)
    libReducedGraphs.so.1()(64bit)
    libSLNParse.so.1()(64bit)
    libShapeHelpers.so.1()(64bit)
    libSimDivPickers.so.1()(64bit)
    libSmilesParse.so.1()(64bit)
    libSubgraphs.so.1()(64bit)
    libSubstructMatch.so.1()(64bit)
    libhc.so.1()(64bit)
    rdkit
    rdkit(x86-64)

rdkit-devel:
    rdkit-devel
    rdkit-devel(x86-64)

python3-rdkit:
    python3-rdkit
    python3-rdkit(x86-64)

rdkit-postgresql:
    librdkit.so()(64bit)
    rdkit-postgresql
    rdkit-postgresql(x86-64)

rdkit-doc:
    rdkit-doc



Unversioned so-files
--------------------
python2-rdkit: /usr/lib64/python2.7/site-packages/rdkit/Chem/Draw/rdMolDraw2D.so
python2-rdkit: /usr/lib64/python2.7/site-packages/rdkit/Chem/rdChemReactions.so
python2-rdkit: /usr/lib64/python2.7/site-packages/rdkit/Chem/rdChemicalFeatures.so
python2-rdkit: /usr/lib64/python2.7/site-packages/rdkit/Chem/rdDepictor.so
python2-rdkit: /usr/lib64/python2.7/site-packages/rdkit/Chem/rdDistGeom.so
python2-rdkit: /usr/lib64/python2.7/site-packages/rdkit/Chem/rdFMCS.so
python2-rdkit: /usr/lib64/python2.7/site-packages/rdkit/Chem/rdForceFieldHelpers.so
python2-rdkit: /usr/lib64/python2.7/site-packages/rdkit/Chem/rdMMPA.so
python2-rdkit: /usr/lib64/python2.7/site-packages/rdkit/Chem/rdMolAlign.so
python2-rdkit: /usr/lib64/python2.7/site-packages/rdkit/Chem/rdMolCatalog.so
python2-rdkit: /usr/lib64/python2.7/site-packages/rdkit/Chem/rdMolChemicalFeatures.so
python2-rdkit: /usr/lib64/python2.7/site-packages/rdkit/Chem/rdMolDescriptors.so
python2-rdkit: /usr/lib64/python2.7/site-packages/rdkit/Chem/rdMolHash.so
python2-rdkit: /usr/lib64/python2.7/site-packages/rdkit/Chem/rdMolTransforms.so
python2-rdkit: /usr/lib64/python2.7/site-packages/rdkit/Chem/rdPartialCharges.so
python2-rdkit: /usr/lib64/python2.7/site-packages/rdkit/Chem/rdReducedGraphs.so
python2-rdkit: /usr/lib64/python2.7/site-packages/rdkit/Chem/rdSLNParse.so
python2-rdkit: /usr/lib64/python2.7/site-packages/rdkit/Chem/rdShapeHelpers.so
python2-rdkit: /usr/lib64/python2.7/site-packages/rdkit/Chem/rdchem.so
python2-rdkit: /usr/lib64/python2.7/site-packages/rdkit/Chem/rdfiltercatalog.so
python2-rdkit: /usr/lib64/python2.7/site-packages/rdkit/Chem/rdfragcatalog.so
python2-rdkit: /usr/lib64/python2.7/site-packages/rdkit/Chem/rdinchi.so
python2-rdkit: /usr/lib64/python2.7/site-packages/rdkit/Chem/rdmolfiles.so
python2-rdkit: /usr/lib64/python2.7/site-packages/rdkit/Chem/rdmolops.so
python2-rdkit: /usr/lib64/python2.7/site-packages/rdkit/Chem/rdqueries.so
python2-rdkit: /usr/lib64/python2.7/site-packages/rdkit/DataManip/Metric/rdMetricMatrixCalc.so
python2-rdkit: /usr/lib64/python2.7/site-packages/rdkit/DataStructs/cDataStructs.so
python2-rdkit: /usr/lib64/python2.7/site-packages/rdkit/DistanceGeometry/DistGeom.so
python2-rdkit: /usr/lib64/python2.7/site-packages/rdkit/ForceField/rdForceField.so
python2-rdkit: /usr/lib64/python2.7/site-packages/rdkit/Geometry/rdGeometry.so
python2-rdkit: /usr/lib64/python2.7/site-packages/rdkit/ML/Cluster/Clustering.so
python2-rdkit: /usr/lib64/python2.7/site-packages/rdkit/ML/Data/cQuantize.so
python2-rdkit: /usr/lib64/python2.7/site-packages/rdkit/ML/InfoTheory/rdInfoTheory.so
python2-rdkit: /usr/lib64/python2.7/site-packages/rdkit/Numerics/rdAlignment.so
python2-rdkit: /usr/lib64/python2.7/site-packages/rdkit/SimDivFilters/rdSimDivPickers.so
python2-rdkit: /usr/lib64/python2.7/site-packages/rdkit/rdBase.so
python3-rdkit: /usr/lib64/python3.5/site-packages/rdkit/Chem/Draw/rdMolDraw2D.so
python3-rdkit: /usr/lib64/python3.5/site-packages/rdkit/Chem/rdChemReactions.so
python3-rdkit: /usr/lib64/python3.5/site-packages/rdkit/Chem/rdChemicalFeatures.so
python3-rdkit: /usr/lib64/python3.5/site-packages/rdkit/Chem/rdDepictor.so
python3-rdkit: /usr/lib64/python3.5/site-packages/rdkit/Chem/rdDistGeom.so
python3-rdkit: /usr/lib64/python3.5/site-packages/rdkit/Chem/rdFMCS.so
python3-rdkit: /usr/lib64/python3.5/site-packages/rdkit/Chem/rdForceFieldHelpers.so
python3-rdkit: /usr/lib64/python3.5/site-packages/rdkit/Chem/rdMMPA.so
python3-rdkit: /usr/lib64/python3.5/site-packages/rdkit/Chem/rdMolAlign.so
python3-rdkit: /usr/lib64/python3.5/site-packages/rdkit/Chem/rdMolCatalog.so
python3-rdkit: /usr/lib64/python3.5/site-packages/rdkit/Chem/rdMolChemicalFeatures.so
python3-rdkit: /usr/lib64/python3.5/site-packages/rdkit/Chem/rdMolDescriptors.so
python3-rdkit: /usr/lib64/python3.5/site-packages/rdkit/Chem/rdMolHash.so
python3-rdkit: /usr/lib64/python3.5/site-packages/rdkit/Chem/rdMolTransforms.so
python3-rdkit: /usr/lib64/python3.5/site-packages/rdkit/Chem/rdPartialCharges.so
python3-rdkit: /usr/lib64/python3.5/site-packages/rdkit/Chem/rdReducedGraphs.so
python3-rdkit: /usr/lib64/python3.5/site-packages/rdkit/Chem/rdSLNParse.so
python3-rdkit: /usr/lib64/python3.5/site-packages/rdkit/Chem/rdShapeHelpers.so
python3-rdkit: /usr/lib64/python3.5/site-packages/rdkit/Chem/rdchem.so
python3-rdkit: /usr/lib64/python3.5/site-packages/rdkit/Chem/rdfiltercatalog.so
python3-rdkit: /usr/lib64/python3.5/site-packages/rdkit/Chem/rdfragcatalog.so
python3-rdkit: /usr/lib64/python3.5/site-packages/rdkit/Chem/rdinchi.so
python3-rdkit: /usr/lib64/python3.5/site-packages/rdkit/Chem/rdmolfiles.so
python3-rdkit: /usr/lib64/python3.5/site-packages/rdkit/Chem/rdmolops.so
python3-rdkit: /usr/lib64/python3.5/site-packages/rdkit/Chem/rdqueries.so
python3-rdkit: /usr/lib64/python3.5/site-packages/rdkit/DataManip/Metric/rdMetricMatrixCalc.so
python3-rdkit: /usr/lib64/python3.5/site-packages/rdkit/DataStructs/cDataStructs.so
python3-rdkit: /usr/lib64/python3.5/site-packages/rdkit/DistanceGeometry/DistGeom.so
python3-rdkit: /usr/lib64/python3.5/site-packages/rdkit/ForceField/rdForceField.so
python3-rdkit: /usr/lib64/python3.5/site-packages/rdkit/Geometry/rdGeometry.so
python3-rdkit: /usr/lib64/python3.5/site-packages/rdkit/ML/Cluster/Clustering.so
python3-rdkit: /usr/lib64/python3.5/site-packages/rdkit/ML/Data/cQuantize.so
python3-rdkit: /usr/lib64/python3.5/site-packages/rdkit/ML/InfoTheory/rdInfoTheory.so
python3-rdkit: /usr/lib64/python3.5/site-packages/rdkit/Numerics/rdAlignment.so
python3-rdkit: /usr/lib64/python3.5/site-packages/rdkit/SimDivFilters/rdSimDivPickers.so
python3-rdkit: /usr/lib64/python3.5/site-packages/rdkit/rdBase.so
rdkit-postgresql: /usr/lib64/pgsql/rdkit.so

Source checksums
----------------
https://github.com/rdkit/rdkit/archive/Release_2016_03_2.tar.gz :
  CHECKSUM(SHA256) this package     : f9531c9a03da3c446ad53cc56cf2d4762bf81088dd69fe07bdd41bbd87221ca3
  CHECKSUM(SHA256) upstream package : f9531c9a03da3c446ad53cc56cf2d4762bf81088dd69fe07bdd41bbd87221ca3


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -c -m fedora-rawhide-x86_64 -rn rdkit-2016.03.2-6.fc24.src.rpm
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api, C/C++
Disabled plugins: Java, SugarActivity, fonts, Haskell, Ocaml, Perl, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 73 Antonio Trande 2016-08-20 11:46:39 EDT
> - These are commands for Python3 builds but are not conditionalized

Sorry, i meant without conditional macro.
Comment 74 Gianluca Sforna 2016-08-22 05:20:21 EDT
(In reply to Antonio Trande from comment #72)
> *************************
> cp -a python2 python3
> find python3 -name '*.py' | xargs sed -i '1s|^#!.*|#!%{__python3}|'
> find python2 -name '*.py' | xargs sed -i '1s|^#!.*|#!%{__python2}|'
> 
> # fix tests scripts for python3 runtime
> find python3 -name 'test_list.py' | xargs sed -i 's/"python"/"python3"/g'
> sed -i.orig 's/python/python3/g' python3/Projects/DbCLI/TestDbCLI.py
> *************************

Correct, but it hurts only space requirements on builders, I'd rather not add more stuff to an already busy spec file.


> 
> - Fix this typo
> 
>         -D PYTHON_EXECUTABLE:FILEPATH=%{__python3} \
> %ifarch {%arm}    <----
>         -D RDK_OPTIMIZE_NATIVE:BOOL=OFF \

Done

> 
> - This package can't be built on epel7-pcc64le because of missing
>   'pandoc' package.

Looks like there is a bug for this:
https://bugzilla.redhat.com/show_bug.cgi?id=1293160


> 
> - epel6: "cc1plus: error: unrecognized command line option "-mpopcnt""
I will not build for anyway EPEL6 due to boost requirements

Stuff in the list looks very minor, but if you like I will post a -7 spec.package. How close do you think we are to a positive review?
Comment 75 Antonio Trande 2016-08-22 06:27:52 EDT
(In reply to Gianluca Sforna from comment #74)
> (In reply to Antonio Trande from comment #72)
> > *************************
> 
> > 
> > - This package can't be built on epel7-pcc64le because of missing
> >   'pandoc' package.
> 
> Looks like there is a bug for this:
> https://bugzilla.redhat.com/show_bug.cgi?id=1293160

In this case, pcc64le should be excluded if you want build on epel7 already now.

Review completed, package approved for Fedora and epel7.
If someone wishes point out something else, please do it.
Comment 76 Gwyn Ciesla 2016-08-22 10:42:37 EDT
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/rdkit
Comment 77 Fedora Update System 2016-08-25 08:10:11 EDT
rdkit-2016.03.2-6.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f9a7c78c30
Comment 78 Fedora Update System 2016-08-25 08:11:07 EDT
rdkit-2016.03.2-6.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-0a6d8b86c1
Comment 79 Fedora Update System 2016-08-25 08:11:57 EDT
rdkit-2016.03.2-6.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-1903e53093
Comment 80 Fedora Update System 2016-08-25 14:21:17 EDT
rdkit-2016.03.2-6.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f9a7c78c30
Comment 81 Fedora Update System 2016-08-26 12:51:03 EDT
rdkit-2016.03.2-6.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-1903e53093
Comment 82 Fedora Update System 2016-08-26 12:52:54 EDT
rdkit-2016.03.2-6.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-0a6d8b86c1
Comment 83 Fedora Update System 2016-08-31 12:29:38 EDT
rdkit-2016.03.2-6.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.
Comment 84 Fedora Update System 2016-09-05 18:52:50 EDT
rdkit-2016.03.2-6.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 85 Fedora Update System 2016-09-05 22:19:10 EDT
rdkit-2016.03.2-6.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.